lvm2 (2.03.16-3ubuntu3.1trisquel4) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Sep 2024 20:54:01 +0000

lvm2 (2.03.16-3ubuntu3.1) noble; urgency=medium

  * initramfs-tools hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 Jul 2024 20:45:03 +0200

lvm2 (2.03.16-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:03:58 +0000

lvm2 (2.03.16-3ubuntu2) noble; urgency=medium

  [ Luca Boccassi ]
  * Cherry-pick upstream change for libdm returning wrong error code when
    dm-verity key cannot be found (LP: #2054620)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2024 19:53:11 +0100

lvm2 (2.03.16-3ubuntu1) noble; urgency=medium

  * Merge from Debian unstable (LP: #2054683). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.

 -- Dave Jones <dave.jones@canonical.com>  Thu, 22 Feb 2024 10:28:18 +0000

lvm2 (2.03.16-3) unstable; urgency=medium

  * Remove obsolete dependency on lsb-base.
  * Expect systemd relates files in /usr. (closes: #1052666)
  * Move all remaining files to /usr.

 -- Bastian Blank <waldi@debian.org>  Sat, 06 Jan 2024 18:47:24 +0100

lvm2 (2.03.16-2ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2020464). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.
  * Removed obsolete patches/changes:
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.

 -- Dave Jones <dave.jones@canonical.com>  Tue, 23 May 2023 11:20:09 +0100

lvm2 (2.03.16-2) unstable; urgency=medium

  * Remove remaining unused init scripts.
  * Call update-initramfs trigger directly.

 -- Bastian Blank <waldi@debian.org>  Wed, 19 Oct 2022 21:37:31 +0200

lvm2 (2.03.16-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1987340). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Closes: #586424, LP: #1032823)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP: #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.
    - Don't build udeb targets.
  * Removed obsolete patches/changes:
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs (Debian
      #504341).
      - Ship correct udev rules in lvm2-udeb package.
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Define PYTHON_PREFIX in make.tmpl.in for new ax-python.
  * Removed patches obsoleted/merged by upstream:
    - Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 22 Aug 2022 21:35:55 +0100

lvm2 (2.03.16-1) unstable; urgency=medium

  * New upstream release.
  * Disable systemd usage in udeb. (closes: #1015174)

 -- Bastian Blank <waldi@debian.org>  Tue, 26 Jul 2022 20:46:14 +0200

lvm2 (2.03.15-2) unstable; urgency=medium

  * Actually fix filename in lvm2 initamfs-tools integration, fixing
    installation error. (closes: #1014314)

 -- Bastian Blank <waldi@debian.org>  Mon, 04 Jul 2022 20:11:20 +0200

lvm2 (2.03.15-1) unstable; urgency=medium

  * New upstream release.
  * Remove traces of systemd generator.
  * Fix installation of lvmdbusd.
  * Support new udev activation without systemd.

 -- Bastian Blank <waldi@debian.org>  Sun, 03 Jul 2022 20:09:13 +0200

lvm2 (2.03.11-2.1ubuntu4) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:06:22 +0000

lvm2 (2.03.11-2.1ubuntu3) impish; urgency=medium

  * Fix-up noudeb build profile support.
  * Define PYTHON_PREFIX in make.tmpl.in for new ax-python.
  * Fixes FTBFS in impish.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 06 Oct 2021 10:31:36 +0100

lvm2 (2.03.11-2.1ubuntu2) impish; urgency=medium

  * Don't build udeb targets.
  * Work around an installation issue about installing python files into
    lib/python* instead of usr/lib/python*.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Oct 2021 10:49:59 +0200

lvm2 (2.03.11-2.1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Closes: #586424, LP: #1032823)
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs (Debian
      #504341).
      - Ship correct udev rules in lvm2-udeb package.
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.
  * Removed obsolete patches/changes:
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115) (mountroot failure hooks
      removed in last initramfs-tools merge)
    - Disable udev using systemd-run background jobs in udeb build as
      systemd is not available. (removed previously, but erroneously noted)
    - Add udev-prefix spec to udeb build (erroneous addition)
  * Removed patches obsoleted/merged by upstream:
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort

 -- Dave Jones <dave.jones@canonical.com>  Wed, 19 May 2021 18:35:39 +0100

lvm2 (2.03.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix path to sort in blkdeactivate. (closes: #946882)

 -- Ivo De Decker <ivodd@debian.org>  Mon, 22 Feb 2021 21:39:14 +0000

lvm2 (2.03.11-2ubuntu4) hirsute; urgency=medium

  * Disable lto build. Other distros build it with lto, however Debian has
    an old work around from 2015 for an ABI break. See #791888.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 12:36:07 +0100

lvm2 (2.03.11-2ubuntu3) hirsute; urgency=medium

  * Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 04 Mar 2021 11:00:58 +0100

lvm2 (2.03.11-2ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:19 +0100

lvm2 (2.03.11-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Disable udev using systemd-run background jobs in udeb build as
      systemd is not available.
    - Ship correct udev rules in lvm2-udeb package.
    - d/control: add thin-provisioning-tools build-dep as configure
      wants it around for some checks at build time.
  * Dropped changes, included upstream:
    - Include raid1 in the list of modules installed by the initramfs hook
    - Detect systemd in udev rule at runtime:
      debian/patches/Detect-systemd-at-run-time-in-69-dm-lvm-metad.rules.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 09 Feb 2021 11:55:15 +0100

lvm2 (2.03.11-2) unstable; urgency=medium

  * Make sure lvmlockd can use sd notify. (closes: #980225)

 -- Bastian Blank <waldi@debian.org>  Sat, 16 Jan 2021 21:51:13 +0100

lvm2 (2.03.11-1) unstable; urgency=medium

  * New upstream release.
  * Use libedit instead of old readline. (closes: #966152)
  * Drop dev symlink to internal lib for good. (closes: #857954)
  * Fix watch file and signing key. (closes: #979584)
  * Use per-arch pkg-config. (closes: #968411)

 -- Bastian Blank <waldi@debian.org>  Fri, 15 Jan 2021 20:08:29 +0100

lvm2 (2.03.10-1) unstable; urgency=medium

  * New upstream release.
  * Auto-generate slightly more strict and correct dependencies.
    - Also fixes the broken dmsetup dependency. (closes: #928700)
  * Add raid modules to initramfs by default. (closes: #868268)

 -- Bastian Blank <waldi@debian.org>  Sun, 15 Nov 2020 18:28:02 +0100

lvm2 (2.03.09-3) unstable; urgency=medium

  * Make lvm2-dbusd package arch-all. (closes: #908908)
  * Fix blk-availability.service. (closes: #966816)

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 13 Aug 2020 16:40:23 +0200

lvm2 (2.03.09-2) unstable; urgency=medium

  * Use debhelper compat 13.
  * Consider using /usr the default case. (closes: #929437)
  * Enable hardening.
  * Properly declare modified dm-event api.
  * Do not require root for building.

 -- Bastian Blank <waldi@debian.org>  Sun, 02 Aug 2020 12:09:54 +0200

lvm2 (2.03.09-1) unstable; urgency=medium

  * New upstream release.
  * Drop not longer needed breaks and conflicts.
  * Detect systemd at run-time in udev, patch by Julian Andres Klode.
    (closes: #933011)

 -- Bastian Blank <waldi@debian.org>  Sat, 25 Jul 2020 21:14:19 +0200

lvm2 (2.03.07-1ubuntu4) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 20:19:25 +0100

lvm2 (2.03.07-1ubuntu3) groovy; urgency=medium

  * Revert "Fix incorrect path to mountroot fail hook. LP: #1871154"
    regression is in the initramfs-tools package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 30 May 2020 15:02:01 +0100

lvm2 (2.03.07-1ubuntu2) groovy; urgency=medium

  * Fix incorrect path to mountroot fail hook. LP: #1871154

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 May 2020 13:11:44 +0100

lvm2 (2.03.07-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Disable udev using systemd-run background jobs in udeb build as
      systemd is not available.
    - Ship correct udev rules in lvm2-udeb package.
    - Detect systemd in udev rule at runtime.
    - d/control: add thin-provisioning-tools build-dep as configure
      wants it around for some checks at build time.
    - Include raid1 in the list of modules installed by the initramfs hook
    - Detect systemd in udev rule at runtime.
  * Dropped changes, included upstream:
    - d/p/lp-1842436-*: Avoid creation of mixed-blocksize PV on LVM
      volume groups as it can cause FS corruption

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 13:21:51 -0800

lvm2 (2.03.07-1) unstable; urgency=medium

  * New upstream release.
  * Add instructions on how to handle source.
  * Build-depend on libdlmcontrol-dev.
  * Install new files.

 -- Bastian Blank <waldi@debian.org>  Tue, 07 Jan 2020 14:44:41 +0100

lvm2 (2.03.02-4) unstable; urgency=medium

  * Use new source format.

 -- Bastian Blank <waldi@debian.org>  Mon, 06 Jan 2020 17:53:00 +0100

lvm2 (2.03.02-3) unstable; urgency=medium

  * Stop lvm2-lvmetad on upgrade. (closes: #929080)

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Jun 2019 12:29:17 +0200

lvm2 (2.03.02-2ubuntu8) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:35:13 +0000

lvm2 (2.03.02-2ubuntu7) focal; urgency=medium

  * Include raid1 in the list of modules installed by the initramfs hook,
    as this is not a kernel module dependency of dm-raid but if the user's
    root disk is configured as RAID1 it is definitely required.
    Closes: #841423, LP: #1509717.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Nov 2019 13:59:47 -0800

lvm2 (2.03.02-2ubuntu6) eoan; urgency=medium

  * d/control: stop dropping thin-provisioning-tools to Suggests as it
    is ready to be promoted via MIR LP 1828887. Fixes usability issues
    of thin-provisioning-tools not being installed by default (LP: #1657646).
    - d/control: also add thin-provisioning-tools build-dep as configure
      wants it around for some checks at build time.
  * d/p/lp-1842436-*: Avoid creation of mixed-blocksize PV on LVM
    volume groups as it can cause FS corruption (LP: #1842436)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 06 Sep 2019 08:23:10 +0200

lvm2 (2.03.02-2ubuntu5) eoan; urgency=medium

  * Detect systemd in udev rule at runtime.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 25 Jul 2019 16:11:11 -0300

lvm2 (2.03.02-2ubuntu4) eoan; urgency=medium

  * Ship correct udev rules in lvm2-udeb package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Jun 2019 20:50:55 +0100

lvm2 (2.03.02-2ubuntu3) eoan; urgency=medium

  * Enable udev-sync in udeb build as it is used by partman when
    partitioning devicemapper devices.
  * Disable udev using systemd-run background jobs in udeb build as
    systemd is not available.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Jun 2019 11:38:55 +0100

lvm2 (2.03.02-2ubuntu2) eoan; urgency=medium

  * Fix patch of systemd-run in 69-lvm-metad.rules (LP: #1830169)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 23 May 2019 16:24:43 +0200

lvm2 (2.03.02-2ubuntu1) eoan; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort
  * Removed changes, related to dropped services:
    - Add and install clvmd resource agent
    - Do not start lvmetad when inside a container.
    - debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on
      upgrade.  This delta can be dropped after 18.04 release.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 24 Apr 2019 11:40:02 +0200

lvm2 (2.03.02-2) unstable; urgency=medium

  * Remove lvm2-lvmetad init script as well. (closes: #917159)

 -- Bastian Blank <waldi@debian.org>  Sun, 03 Feb 2019 14:55:09 +0100

lvm2 (2.03.02-1) unstable; urgency=medium

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Sat, 29 Dec 2018 17:39:29 +0100

lvm2 (2.03.01-3) unstable; urgency=medium

  * Update installed lvm.conf. (closes: #917164)
  * Update dependencies of liblvm2-dev.

 -- Bastian Blank <waldi@debian.org>  Sat, 29 Dec 2018 12:05:25 +0100

lvm2 (2.03.01-2) unstable; urgency=medium

  * Upload to unstable.
  * Rewrite copyright file. (closes: #915986)

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Dec 2018 20:05:26 +0100

lvm2 (2.03.01-1) experimental; urgency=medium

  * New upstream release.
  * Build-depend on libaio-dev.
  * Bump ABI of liblvm2cmd.
  * Drop not longer shipped liblvm2app.
  * Drop not longer shipped lvmconf tool.
  * Drop not longer shipped clvm stuff.
  * Drop not longer shipped lvmetad.
  * Disable not really useful cmirrord.
  * Update symbols.
  * Install new lvmlockd services.
  * Update Vcs headers to reference salsa.debian.org.
  * Set maintainer to team via tracker.debian.org. (closes: #899603)
  * Purge lvm2-lvmetad.socket unit.

 -- Bastian Blank <waldi@debian.org>  Sat, 08 Dec 2018 18:12:40 +0100

lvm2 (2.02.176-4.1ubuntu4) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 12:35:49 +0000

lvm2 (2.02.176-4.1ubuntu3) bionic; urgency=medium

  * scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 12 Apr 2018 10:35:07 +0200

lvm2 (2.02.176-4.1ubuntu2) bionic; urgency=medium

  * Demote Recommends: thin-provisioning-tools to Suggests, as it's not
    in main.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 30 Jan 2018 08:31:47 +0100

lvm2 (2.02.176-4.1ubuntu1) bionic; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on
      upgrade.  This delta can be dropped after 18.04 release.
    - Do not start lvm2-monitor in containers (LP #1576341)
  * Dropped, merged upstream:
    - Add a patch to fix crashes on 32bit platforms:
      + 0013-fix-lvmetad-32bit.patch
    - d/p/fix-strips-limit.patch: Fix regression limiting number of
      stripes to 8 (LP #1675770)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 26 Jan 2018 17:06:20 +0100

lvm2 (2.02.176-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Revert uncoordinated addition of udev rules/sync support in udebs
    which breaks LVM support in debian-installer instead of getting
    debian-installer and installed systems to agree on device names.
    (closes: #883361, reopens: #504341)

 -- Cyril Brulebois <kibi@debian.org>  Sun, 03 Dec 2017 02:39:59 +0000

lvm2 (2.02.176-4) unstable; urgency=medium

  * Don't try to add dropped udev rules to initramfs.

 -- Bastian Blank <waldi@debian.org>  Fri, 10 Nov 2017 11:38:46 +0100

lvm2 (2.02.176-3) unstable; urgency=medium

  * Actually add newly installed udev rules to initramfs.
    (closes: #881314)
  * Make initramfs hooks bail out if udev rules can't be found.
  * Copy complete lvm config into initramfs.

 -- Bastian Blank <waldi@debian.org>  Fri, 10 Nov 2017 08:42:56 +0100

lvm2 (2.02.176-2) unstable; urgency=medium

  * Drop changes for upgrades from before Wheezy.
  * Drop deprecated python bindings.
  * Enable udev rules in udeb. (closes: #504341)
  * Drop some udev rules modifications.
    - Pull in newer dmsetup for udev rules changes.

 -- Bastian Blank <waldi@debian.org>  Thu, 09 Nov 2017 20:42:38 +0100

lvm2 (2.02.176-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolte build-depends on dh-systemd.
  * Drop extra priorities from packages.
  * Update Standards-Version to 4.1.1, no changes.
  * Make lvm2-dbusd depend manually on required modules. (closes: #880543)
  * Make lvm2 recommend thin-provisioning-tools. (closes: #857142)
  * Run pvscan as systemd background job.
  * Don't try to restart special systemd services.
  * Really use debhelper compat 11.

 -- Bastian Blank <waldi@debian.org>  Sat, 04 Nov 2017 13:25:00 +0100

lvm2 (2.02.175-1) unstable; urgency=medium

  * New upstream release.
  * Enable sanlock support in lvmlockd.
  * Use debhelper compat 11 for dh_installsystemd.

 -- Bastian Blank <waldi@debian.org>  Wed, 01 Nov 2017 19:21:34 +0100

lvm2 (2.02.173-2) unstable; urgency=medium

  * Use dh.
  * Install all lvm2 config files.
  * Install and enable blk-availability service.
  * Add lvm2-dbus package.
  * Add lvm2-lockd package (dlm only). (closes: #879780)

 -- Bastian Blank <waldi@debian.org>  Tue, 31 Oct 2017 15:04:08 +0100

lvm2 (2.02.173-1) unstable; urgency=medium

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Sun, 13 Aug 2017 14:17:51 +0200

lvm2 (2.02.168-2ubuntu3) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:53 +0000

lvm2 (2.02.168-2ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 May 2017 15:32:22 +1200

lvm2 (2.02.168-2ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on
      upgrade.  This delta can be dropped after 18.04 release.
    - Add a patch to fix crashes on 32bit platforms:
      + 0013-fix-lvmetad-32bit.patch
      [ patch renamed ]
    - d/p/fix-strips-limit.patch: Fix regression limiting number of
      stripes to 8 (LP #1675770)
      [ patch refreshed ]

  [ Balint Reczey ]
  * Do not start lvm2-monitor in containers (LP #1576341)
    [ patch renamed ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 08 May 2017 16:59:53 -0700

lvm2 (2.02.168-2) unstable; urgency=medium

  * Don't try to disable cluster locking on clvm purge. (closes: #856696)
  * Drop symlinks for private libs. (closes: #857954)
  * Deny writemostly/writebehind during raid1 resync. (closes: #855895)

 -- Bastian Blank <waldi@debian.org>  Fri, 17 Mar 2017 17:29:47 +0100

lvm2 (2.02.168-1) unstable; urgency=medium

  * New upstream release.
  * Install but not start cmirrord. (closes: #570232)

 -- Bastian Blank <waldi@debian.org>  Fri, 16 Dec 2016 15:29:17 +0100

lvm2 (2.02.167-1ubuntu6) artful; urgency=medium

  * Drop:
    - Depend on 'dlm' rather than 'dlm-controld', the package is named
      differently in Ubuntu.
      + LP: #1669133
      [ Package is renamed to dlm-controld in line with Debian ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 03 May 2017 17:14:00 -0700

lvm2 (2.02.167-1ubuntu5) zesty; urgency=medium

  * d/p/fix-strips-limit.patch: Fix regression limiting number of
    stripes to 8 (LP: #1675770)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 27 Mar 2017 09:23:51 +0200

lvm2 (2.02.167-1ubuntu2) zesty; urgency=medium

  * Add a patch to fix crashes on 32bit platforms:
    - 0011-fix-lvmetad-32bit.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 10 Mar 2017 14:22:35 -0500

lvm2 (2.02.167-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Depend on 'dlm' rather than 'dlm-controld', the package is named
      differently in Ubuntu.
    - debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on
      upgrade.  This delta can be dropped after 18.04 release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Nov 2016 17:05:42 -0800

lvm2 (2.02.167-1) unstable; urgency=medium

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Wed, 09 Nov 2016 23:34:42 +0100

lvm2 (2.02.164-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Depend on 'dlm' rather than 'dlm-controld', the package is named
      differently in Ubuntu.
    - debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on
      upgrade.  This delta can be dropped after 18.04 release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Oct 2016 22:32:44 -0700

lvm2 (2.02.164-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Wed, 17 Aug 2016 17:03:41 +0200

lvm2 (2.02.160-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Depend on 'dlm' rather than 'dlm-controld', the package is named
      differently in Ubuntu.
    - debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on
      upgrade.  This delta can be dropped after 18.04 release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Jul 2016 22:26:18 -0700

lvm2 (2.02.160-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Sat, 09 Jul 2016 22:11:07 +0200

lvm2 (2.02.156-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
  * Dropped changes, no longer needed:
    - debian/clvm.init: drop all changes; service is now systemd-only.
    - rename debian/clvm.defaults to debian/clvm.default: no defaults needed
      with systemd, the only setting in this file is one that is unused
      anyway.
    - Install the missing fsadm manpage: included differently in Debian.
    - Call dh_installman: included differently in Debian.
  * Depend on 'dlm' rather than 'dlm-controld', the package is named
    differently in Ubuntu.
  * debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on upgrade.
    This delta can be dropped after 18.04 release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jun 2016 13:47:43 -0700

lvm2 (2.02.156-1) unstable; urgency=medium

  * New upstream version.
  * Build-depend on systemd for pkg-config info.
  * Only support systemd in cluster package. (closes: #796625)
  * Update dependencies and description of cluster package.
  * Disable cluster while removing cluster package.

 -- Bastian Blank <waldi@debian.org>  Wed, 22 Jun 2016 16:18:48 +0200

lvm2 (2.02.153-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly. (Debian #569292)
    - Add and install clvmd resource agent
    - debian/clvm.init:
      + check corosync cluster status since the cman tooling isn't available.
        Change start/stop dependencies to dlm instead of cman and openais
        since neither are available.
      + create /run/lvm if it doesn't exist.
      + exit 3 if not running on status action.
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Install the missing fsadm manpage.
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
      + Call dh_installman so that our dmeventd manpage actually gets
        installed.
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 May 2016 18:21:40 -0700

lvm2 (2.02.153-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Mon, 09 May 2016 16:45:31 +0200

lvm2 (2.02.151-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Thu, 28 Apr 2016 15:46:51 +0200

lvm2 (2.02.150-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly. (Debian #569292)
    - Add and install clvmd resource agent
    - debian/clvm.init:
      + check corosync cluster status since the cman tooling isn't available.
        Change start/stop dependencies to dlm instead of cman and openais
        since neither are available.
      + create /run/lvm if it doesn't exist.
      + exit 3 if not running on status action.
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Install the missing fsadm manpage.
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
      + Call dh_installman so that our dmeventd manpage actually gets
        installed.
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
  * Dropped changes, included in Debian:
    - debian/rules: enable dmeventd during configure.
    - debian/dmeventd.{8,manpages}: install dmeventd files.
    - Build-depend on libcorosync-common-dev and others, instead of
      libcorosync-dev.
  * Dropped changes:
    - Replaces for udev (<< 228-2ubuntu2), Depends on udev (>= 228-2ubuntu2):
      no longer needed post 16.04 LTS.
    - debian/lvm2.postinst: the lvm2 init script is no longer missing but is
      masked by systemd; no delta needed.
    - debian/rules: drop extra cp of config.guess and config.sub; unnecessary
      because we use autoreconf.
    - debian/rules: don't disable dmeventd for the udeb build.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Apr 2016 16:01:22 -0700

lvm2 (2.02.150-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Fri, 22 Apr 2016 20:44:07 +0200

lvm2 (2.02.146-1) unstable; urgency=medium

  * New upstream version.
  * Build-depend on autoconf-archive.
  * Install blkdeactivate and dmstats.

 -- Bastian Blank <waldi@debian.org>  Wed, 16 Mar 2016 13:21:41 +0100

lvm2 (2.02.142-1) unstable; urgency=medium

  * New upstream version.
    - Fix unalligned memory access. (closes: #809685)

 -- Bastian Blank <waldi@debian.org>  Sat, 20 Feb 2016 13:50:19 +0100

lvm2 (2.02.141-2) unstable; urgency=medium

  * Use blkid.
  * Mark dev and python packages as multi-arch same. (closes: 731294)
  * Remove old dependency and conflicts. (closes: 804972)

 -- Bastian Blank <waldi@debian.org>  Fri, 05 Feb 2016 22:11:45 +0100

lvm2 (2.02.141-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Thu, 28 Jan 2016 22:15:49 +0100

lvm2 (2.02.138-1) unstable; urgency=medium

  * New upstream version.
  * Add watch file. (closes: #742305)
    - This does not add the signature key.

 -- Bastian Blank <waldi@debian.org>  Tue, 22 Dec 2015 19:34:04 +0100

lvm2 (2.02.133-2) unstable; urgency=medium

  * Build-depend on a lot corosync stuff. (closes: #804541)
  * Drop event plugin directory move.  This moves the plugins back into
    the main library path. (closes: #807279)

 -- Bastian Blank <waldi@debian.org>  Sun, 13 Dec 2015 18:02:40 +0100

lvm2 (2.02.133-1ubuntu10) xenial; urgency=medium

  * Cherry-pick change from lvm2 2.02.133-2 in Debian to move event plugins
    back onto the main library patch, which fixes problems with monitoring
    failing for snapshots and raid volumes.  Closes: #807279, LP: #1556451,
    LP: #1561228.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Apr 2016 00:06:53 -0700

lvm2 (2.02.133-1ubuntu9) xenial; urgency=medium

  * Do not start when inside a container (LP: #1568954)

 -- Simon Deziel <simon.deziel@gmail.com>  Mon, 11 Apr 2016 18:21:59 +0000

lvm2 (2.02.133-1ubuntu8) xenial; urgency=medium

  * Drop debian/85-lvm2.rules. This is redundant now, VGs are already
    auto-assembled via lvmetad and 69-lvm-metad.rules. This gets rid of using
    watershed, which causes deadlocks due to blocking udev rule processing.
    (LP: #1560710)
  * debian/rules: Put back initramfs-tools script to ensure that the root and
    resume devices are activated (lvmetad is not yet running in the initrd).
  * debian/rules: Put back activation systemd generator, to assemble LVs in
    case the admin disabled lvmetad.
  * Make debian/initramfs-tools/lvm2/scripts/init-premount/lvm2 executable and
    remove spurious chmod +x Ubuntu delta in debian/rules.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 30 Mar 2016 10:56:49 +0200

lvm2 (2.02.133-1ubuntu7) xenial; urgency=medium

  * Build-depend on libcorosync-common-dev and others, instead of
    libcorosync-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 10:40:28 +0100

lvm2 (2.02.133-1ubuntu5) xenial; urgency=medium

  * Drop udev rules from lvm2-udeb package. Otherwise, lvm groups and
    volumes are activated behind partman's back e.g. after dasd drive
    activation. And thus prevents dasdfmt from succeeding. LP: #1536664
  * Drop watershed-udeb dependency, no longer needed.
  * Keep dmsetup udev rules.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2016 10:14:58 +0000

lvm2 (2.02.133-1ubuntu4) xenial; urgency=medium

  * Remove the init script dependency on cman_tool. (LP: #1089013)
    - debian/clvm.init: check corosync cluster status since the cman
      tooling isn't available in Xenial. Change start/stop dependencies
      to dlm instead of cman and openais since neither cman nor openais
      are available.

 -- Billy Olsen <billy.olsen@canonical.com>  Thu, 28 Jan 2016 11:38:39 +0100

lvm2 (2.02.133-1ubuntu3) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:33:41 +0000

lvm2 (2.02.133-1ubuntu2) xenial; urgency=medium

  * Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This breaks
    the circular dependency that causes upgrade failures. As dmsetup is
    "Priority: required", this has no other practical consequences.
    (Closes: #586424, LP: #1032823)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Dec 2015 15:55:09 +0100

lvm2 (2.02.133-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/rules:
      + copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/{dmsetup,lvm2}-udeb.install: install udev rules in udebs
      (Debian #504341).
    - auto-start VGs as their PVs are discovered (Debian #455979):
      + add debian/85-lvm2.rules: use watershed plus the sledgehammer of
        vgscan/vgchange to turn on VGs as they come online.
      + debian/initramfs-tools/lvm2/hooks/lvm2: Add 85-lvm2.rules to the list
        of udev rules to copy and depend on udev.
      + debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add Depends on watershed-udeb in lvm2-udeb for udev rules.
      + debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install activation systemd generator for lvm2, since udev
          starts LVM.
        - continue to build clvm support.
      + debian/lvm2.postinst: handle missing lvm2 init script.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - remaining changes to upstream event manager packages (Debian #514706):
      + debian/rules: enable dmeventd during configure.
      + debian/dmeventd.{8,manpages}: install dmeventd files.
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly. (Debian #569292)
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/rules: make sure dmsetup and lvm2 initramfs-tools scripts are
      executable.  When the Ubuntu-specific ones are added with a patch,
      they may lose their executable bit.
    - Add and install clvmd resource agent
    - debian/{clvmd.ra,clvm.init}:
      - create /run/lvm if it doesn't exist.
    - debian/clvm.init:
      - exit 3 if not running on status action.
    - Call dh_installman so that our dmeventd manpage actually gets installed
     Install the missing fsadm manpage.
    - Complete libdevmapper-dev multiarch: (Debian #731294)
      - mark libdevmapper-dev M-A: same
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
  * Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
    properly synthesize LVM LV change events with udevadm trigger, so
    if we use LVM, we need to let it finish; otherwise we get missing LV
    symlinks. This hack used to be in udev, but really belongs into lvm2.
    (LP: #1185394)
  * Add Replaces: for udev (<< 228-2ubuntu2), as the lvm2.{init,service} dummy
    jobs move from udev to lvm2. Note that we don't set a Breaks:, as
    unfortunately previous (released) udev prerm scripts don't support
    "deconfigure"; so use a versioned dependency instead. This can be dropped
    after 16.04 LTS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Dec 2015 12:45:39 +0100

lvm2 (2.02.133-1) unstable; urgency=medium

  * New upstream version.
  * Remove references to EVMS. (closes: #794405)
  * Remove support for cman and openais.
  * Make libdevmapper-dev depend on libudev-dev. (closes: #797800)
  * Use debhelper compat level 9.
  * Cleanup old systemd services.
  * Add python bindings. (closes: #773984)
  * Update Standards-Version to 3.9.6, no changes.

 -- Bastian Blank <waldi@debian.org>  Sun, 01 Nov 2015 10:42:25 +0100

lvm2 (2.02.127-1) unstable; urgency=medium

  * Remove superfluous directory specs. (closes: #794200)
  * Set default pid directory to /run. (closes: #783120)
  * Force activation of snapshots in initramfs. (closes: #555958)
  * Cleanup initramfs-tools scripts.
  * Set architecture to linux-any. (closes: #638255)

 -- Bastian Blank <waldi@debian.org>  Sat, 15 Aug 2015 11:58:45 +0200

lvm2 (2.02.126-3) unstable; urgency=medium

  * Also remove racy file test from mdadm udev interaction.
  * Don't run pvscan in background or via systemd.

 -- Bastian Blank <waldi@debian.org>  Wed, 12 Aug 2015 00:09:16 +0200

lvm2 (2.02.126-2) unstable; urgency=medium

  * Workaround incorrect blkid call in mdadm udev.

 -- Bastian Blank <waldi@debian.org>  Sun, 02 Aug 2015 10:36:59 +0200

lvm2 (2.02.126-1) unstable; urgency=medium

  * New upstream version.
  * Install new udev rules in initamfs.

 -- Bastian Blank <waldi@debian.org>  Wed, 29 Jul 2015 19:29:56 +0200

lvm2 (2.02.122-2) unstable; urgency=medium

  * Workaround broken API/ABI of dm_tree_node_add_cache_target
    (closes: #791888):
    - Update symbol version to 2:1.02.99.
    - Update breaks from libdevmapper to lvm2 and liblvm2app2.2.
  * Use sysinit mode in initramfs.
  * Use lvm2 activation generator instead of static services.
  * Finally remove explicit init script ordering.

 -- Bastian Blank <waldi@debian.org>  Wed, 15 Jul 2015 21:58:12 +0200

lvm2 (2.02.122-1ubuntu1) wily; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/rules:
      + copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/{dmsetup,lvm2}-udeb.install: install udev rules in udebs
      (Debian #504341).
    - auto-start VGs as their PVs are discovered (Debian #455979):
      + add debian/85-lvm2.rules: use watershed plus the sledgehammer of
        vgscan/vgchange to turn on VGs as they come online.
      + debian/initramfs-tools/lvm2/hooks/lvm2: Add 85-lvm2.rules to the list
        of udev rules to copy and depend on udev.
      + debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add Depends on watershed-udeb in lvm2-udeb for udev rules.
      + debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install init scripts or activation systemd units for lvm2,
          since udev starts LVM.
        - continue to build clvm support.
      + debian/lvm2.postinst: handle missing lvm2 init script.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - remaining changes to upstream event manager packages (Debian #514706):
      + debian/rules: enable dmeventd during configure.
      + debian/dmeventd.{8,manpages}: install dmeventd files.
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly. (Debian #569292)
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/rules: make sure dmsetup and lvm2 initramfs-tools scripts are
      executable.  When the Ubuntu-specific ones are added with a patch,
      they may lose their executable bit.
    - Add and install clvmd resource agent
    - Add dependency on libudev-dev to libdevmapper-dev so that the .pc file
      works.
    - debian/{clvmd.ra,clvm.init}:
      - create /run/lvm if it doesn't exist.
    - debian/clvm.init:
      - exit 3 if not running on status action.
    - Call dh_installman so that our dmeventd manpage actually gets installed
    - Install the missing fsadm manpage.
    - Complete libdevmapper-dev multiarch: (Debian #731294)
      - mark libdevmapper-dev M-A: same
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jul 2015 07:31:48 +0200

lvm2 (2.02.122-1) unstable; urgency=medium

  * New upsream version.
  * Make sure lvmetad is enabled:
    - Add init-script.
  * Build and enable lvmpolld:
    - Add init-script.

 -- Bastian Blank <waldi@debian.org>  Wed, 08 Jul 2015 18:38:20 +0200

lvm2 (2.02.111-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add support for /dev/VG/LV naming in initramfs (Closes: #780319)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 10 Apr 2015 01:43:39 +0100

lvm2 (2.02.111-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add initramfs-tools boot script for preparing additional block
    devices (Closes: #775583)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 01 Mar 2015 21:19:37 +0000

lvm2 (2.02.111-2ubuntu1) vivid; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/rules:
      + copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/{dmsetup,lvm2}-udeb.install: install udev rules in udebs
      (Debian #504341).
    - auto-start VGs as their PVs are discovered (Debian #455979):
      + add debian/85-lvm2.rules: use watershed plus the sledgehammer of
        vgscan/vgchange to turn on VGs as they come online.
      + debian/initramfs-tools/lvm2/hooks/lvm2: Add 85-lvm2.rules to the list
        of udev rules to copy and depend on udev.
      + debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add Depends on watershed-udeb in lvm2-udeb for udev rules.
      + debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install init scripts or activation systemd units for lvm2,
          since udev starts LVM.
        - continue to build clvm support.
      + debian/lvm2.postinst: handle missing lvm2 init script.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - remaining changes to upstream event manager packages (Debian #514706):
      + debian/rules: enable dmeventd during configure.
      + debian/dmeventd.{8,manpages}: install dmeventd files.
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly. (Debian #569292)
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/rules: make sure dmsetup and lvm2 initramfs-tools scripts are
      executable.  When the Ubuntu-specific ones are added with a patch,
      they may lose their executable bit.
    - Add and install clvmd resource agent
    - Add dependency on libudev-dev to libdevmapper-dev so that the .pc file
      works.
    - debian/{clvmd.ra,clvm.init}:
      - create /run/lvm if it doesn't exist.
    - debian/clvm.init:
      - exit 3 if not running on status action.
    - Call dh_installman so that our dmeventd manpage actually gets installed
    - Install the missing fsadm manpage.
    - Complete libdevmapper-dev multiarch: (Debian #731294)
      - mark libdevmapper-dev M-A: same
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)

  * Dropped changes:
    - debian/patches/avoid-dev-block.patch (Prefer any other device name over
      names in /dev/block/ since lvm.conf won't handle this) -- Obsolete as
      udev rules do this part now (see Debian #569290)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Nov 2014 15:38:45 +0100

lvm2 (2.02.111-2) unstable; urgency=medium

  * Install additional man-pages. (closes: #587277, #760679)
  * Remove re-start of non-existing systemd unit. (closes: #760682)
  * Add dm-raid support to initramfs. (closes: #699804)
  * Fix version in one symbols. (closes: #762705)

 -- Bastian Blank <waldi@debian.org>  Thu, 25 Sep 2014 21:04:41 +0200

lvm2 (2.02.111-1) unstable; urgency=medium

  * New upstream version.
  * Install more systemd units:
    - Add dm-event.service and dm-event.socket to dmeventd.
    - Add lvm2-monitor.service to lvm2 and start it.
  * Enable monitoring by default:
    - Add dependency on dmeventd to lvm2 and liblvm2cmd2.02.

 -- Bastian Blank <waldi@debian.org>  Sat, 06 Sep 2014 19:26:39 +0200

lvm2 (2.02.109-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Tue, 19 Aug 2014 15:37:06 +0200

lvm2 (2.02.106-2) unstable; urgency=medium

  * Enable cache support. (closes: #749599)
  * Update Standards-Version to 3.9.5:
    - Strip XC-prefix.

 -- Bastian Blank <waldi@debian.org>  Mon, 09 Jun 2014 21:49:02 +0200

lvm2 (2.02.106-1) unstable; urgency=medium

  * New upstream version.
  * Break older thin-provisioning-tools.

 -- Bastian Blank <waldi@debian.org>  Sun, 18 May 2014 15:22:30 +0200

lvm2 (2.02.104-2) unstable; urgency=medium

  * Don't longer disable O_DIRECT.
  * Install lvmetad systemd units:
    - Don't activate it always.
    - Set sbin dir.

 -- Bastian Blank <waldi@debian.org>  Fri, 14 Feb 2014 19:38:41 +0100

lvm2 (2.02.104-1) unstable; urgency=medium

  * New upstream version.
  * Hard-code locations of thin utils.
  * Move development stuff into multi-arch paths.
  * Enable lvmetad. (closes: #704759)
  * Re-use patched upstream udev rules.
    - Remove own copy.
    - Rename during installation.
    - Make compatible.
  * Re-organize initramfs-tools installation.
  * Install systemd units:
    - Add non-generator activation-services.
    - Alias to mask lvm2 init script.
    - Build-depend on dh-systemd.
  * Add tmpfiles info.

 -- Bastian Blank <waldi@debian.org>  Wed, 29 Jan 2014 22:09:35 +0100

lvm2 (2.02.98-6ubuntu2) trusty; urgency=medium

  * Add enable-issue-discards.patch: Enable "issue_discards" option by default
    to trim SSDs when changing PVs. This option has no effect if the kernel or
    the drive does not support trimming, so it's safe to enable by default.
    [https://blueprints.launchpad.net/ubuntu/+spec/core-1311-ssd-trimming]
    (Closes: #717313)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Dec 2013 10:51:54 +0100

lvm2 (2.02.98-6ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/patches/avoid-dev-block.patch: Prefer any other device name over
      names in /dev/block/ since lvm.conf won't handle this.
    - debian/rules:
      - copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/{dmsetup,lvm2}-udeb.install:
      - install initramfs and udev hooks in udebs (Debian bug 504341).
    - auto-start VGs as their PVs are discovered (Ubuntu specific):
      - add debian/tree/lvm2/lib/udev/rules.d/85-lvm2.rules: use watershed plus
        the sledgehammer of vgscan/vgchange to turn on VGs as they come online.
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/hooks/lvm2:
        - add 85-lvm2.rules to the list of udev rules to copy.
        - depend on udev.
      - debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add Depends on watershed-udeb in lvm2-udeb for udev rules.
        - add versioned Depend/Breaks on udev in dmsetup for udev rules.
        - add Depend on initramfs-tools in dmsetup so system is not potentially
          rendered unbootable by out-of-order dpkg configuration.
        - In libdevmapper-event1.02.1 add Breaks: dmeventd
          (<< 2.02.95-4ubuntu1) due to debian symbol rename
      - debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install init scripts for lvm2, since udev starts LVM.
        - continue to build clvm support.
      - debian/lvm2.postinst: handle missing lvm2 init script.
    - add mountroot failure hooks to help fix bad boots (Debian bug 468115):
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/init-premount/lvm2
    - remaining changes to upstream event manager packages (Debian bug 514706):
      - debian/rules:
        - enable dmeventd during configure.
      - debian/dmeventd.{8,manpages}: install dmeventd files.
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/rules: make sure dmsetup and lvm2 initramfs-tools scripts are
      executable.  When the Ubuntu-specific ones are added with a patch,
      they may lose their executable bit.
    - Add and install clvmd resource agent
    - Add dependency on libudev-dev to libdevmapper-dev so that the .pc file
      works.
    - debian/{clvmd.ra,clvm.init}:
      - create /run/lvm if it doesn't exist.
    - debian/clvm.init:
      - exit 3 if not running on status action.
    - Call dh_installman so that our dmeventd manpage actually gets installed
    - Install the missing fsadm manpage.
    - Complete libdevmapper-dev multiarch:
      - move .so symlinks and pkgconfig files to multiarched locations.
      - mark libdevmapper-dev M-A: same

  * New changes:
    - keep ocf resource directory
    - build with only corosync clvmd support

  * Dropped changes:
    - debian/tree/dmsetup/lib/udev/rules.d/60-persistent-storage-dm.rules:
      watch dm devices for changes with inotify. This udev rule is gone.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 16 Sep 2013 10:39:47 +0100

lvm2 (2.02.98-6) unstable; urgency=low

  * Update init script:
    - Use auto-activation.
    - Drop manual loading of dm-mod.
  * Fix udev rules:
    - Re-add another oversight.

 -- Bastian Blank <waldi@debian.org>  Tue, 27 Aug 2013 13:13:17 +0200

lvm2 (2.02.98-5) unstable; urgency=low

  * Fix udev rules.
    - Properly exclude special devices, this part got lost. (closes: #718582)
    - Always call udev sync.

 -- Bastian Blank <waldi@debian.org>  Wed, 07 Aug 2013 15:10:23 +0200

lvm2 (2.02.98-4) unstable; urgency=low

  * Drop still broken udev stuff. (closes: #712049)
  * Make thin support usable:
    - Suggest thin-privisioning-tools.
    - Set correct location for thin_check binary.

 -- Bastian Blank <waldi@debian.org>  Sun, 14 Jul 2013 16:37:56 +0200

lvm2 (2.02.98-3) unstable; urgency=low

  * Revert udev rules. (closes: #711740)

 -- Bastian Blank <waldi@debian.org>  Sun, 09 Jun 2013 22:08:02 +0200

lvm2 (2.02.98-2) unstable; urgency=low

  * Use udev monitor for synchronization.
  * Fix wrong disable in udev rules.

 -- Bastian Blank <waldi@debian.org>  Sat, 08 Jun 2013 12:50:57 +0200

lvm2 (2.02.98-1ubuntu5) saucy; urgency=low

  * Reenabled clvm

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 28 Aug 2013 10:46:43 +0100

lvm2 (2.02.98-1ubuntu4) saucy; urgency=low

  * hooks/lvm2: add dm_raid to the dm personality modules to be included in
    the initramfs as this is a valid personality for the root filesystem
    and such volumes lead to extended boot times and boot failures.
    (LP: #1206235)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 29 Jul 2013 20:37:28 +0100

lvm2 (2.02.98-1ubuntu3) saucy; urgency=low

  * Disable clvm for the time being, given that redhat-cluster will soon
    be removed from the archives (provides libdml-dev, libcman-dev), in
    favor of the new cluster stack (corosync). Once corosync > 2.X is
    released and a new source package 'dlm' (will provide libdlm-dev)
    hits the archive, clvm can be reenabled.
    - debian/control: Drop Build-Depends on libcman-dev, libcorosync-dev,
      libdlm-dev, openais-dev; Comment out clvm binary package.
    - debian/rules: Do not build --with-clvmd; comment clvm related rules.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 26 Jul 2013 12:45:06 -0400

lvm2 (2.02.98-1ubuntu2) saucy; urgency=low

  * Update config.guess and config.sub.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 11 Jul 2013 20:35:43 +0100

lvm2 (2.02.98-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/patches/avoid-dev-block.patch: Prefer any other device name over
      names in /dev/block/ since lvm.conf won't handle this.
    - debian/rules:
      - copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/{dmsetup,lvm2}-udeb.install:
      - install initramfs and udev hooks in udebs (Debian bug 504341).
    - auto-start VGs as their PVs are discovered (Ubuntu specific):
      - add debian/tree/lvm2/lib/udev/rules.d/85-lvm2.rules: use watershed plus
        the sledgehammer of vgscan/vgchange to turn on VGs as they come online.
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/hooks/lvm2:
        - add 85-lvm2.rules to the list of udev rules to copy.
        - depend on udev.
      - debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add Depends on watershed-udeb in lvm2-udeb for udev rules.
        - add versioned Depend/Breaks on udev in dmsetup for udev rules.
        - add Depend on initramfs-tools in dmsetup so system is not potentially
          rendered unbootable by out-of-order dpkg configuration.
        - In libdevmapper-event1.02.1 add Breaks: dmeventd
          (<< 2.02.95-4ubuntu1) due to debian symbol rename
      - debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install init scripts for lvm2, since udev starts LVM.
        - continue to build clvm support.
      - debian/lvm2.postinst: handle missing lvm2 init script.
      - debian/tree/dmsetup/lib/udev/rules.d/60-persistent-storage-dm.rules:
        watch dm devices for changes with inotify
    - add mountroot failure hooks to help fix bad boots (Debian bug 468115):
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/init-premount/lvm2
    - remaining changes to upstream event manager packages (Debian bug 514706):
      - debian/rules:
        - enable dmeventd during configure.
      - debian/dmeventd.{8,manpages}: install dmeventd files.
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/rules: make sure dmsetup and lvm2 initramfs-tools scripts are
      executable.  When the Ubuntu-specific ones are added with a patch,
      they may lose their executable bit.
    - Add and install clvmd resource agent
    - Add dependency on libudev-dev to libdevmapper-dev so that the .pc file
      works.
    - debian/{clvmd.ra,clvm.init}:
      - create /run/lvm if it doesn't exist.
    - debian/clvm.init:
      - exit 3 if not running on status action.
    - Call dh_installman so that our dmeventd manpage actually gets installed
    - Install the missing fsadm manpage.
    - Complete libdevmapper-dev multiarch:
      - move .so symlinks and pkgconfig files to multiarched locations.
      - mark libdevmapper-dev M-A: same

  * Dropped changes, applied upstream:
    - Update Micron PCIe SSD and other device-types to latest available.
    - Cherry pick from upstream, remove unsupported udev_get_dev_path() call.
    - Move thin check to global section.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 30 May 2013 11:02:10 +0100

lvm2 (2.02.98-1) unstable; urgency=low

  * New upstream version.
  * Re-enable thin support.

 -- Bastian Blank <waldi@debian.org>  Sun, 03 Mar 2013 12:33:47 +0100

lvm2 (2.02.95-7) testing; urgency=low

  * Re-enable cluster support. (closes: #697676)
  * Disable thin support. We lack the thin_check binary and it does not work
    anyway. (closes: #702163)

 -- Bastian Blank <waldi@debian.org>  Sun, 24 Mar 2013 09:03:10 +0100

lvm2 (2.02.95-6ubuntu4) raring; urgency=low

  * Actually just update all device-types to latest available. (LP: #1122445)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 14 Mar 2013 15:03:49 +0000

lvm2 (2.02.95-6ubuntu3) raring; urgency=low

  * Add Micron PCIe SSD devices filter (LP: #1122445)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 14 Mar 2013 12:05:00 +0000

lvm2 (2.02.95-6ubuntu2) raring; urgency=low

  * Add upstream-drop-udev_get_dev_path.patch: Remove udev_get_dev_path()
    libudev call, as this is unsupported in libudev1. Backported from upstream
    git.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Mar 2013 07:54:19 +0100

lvm2 (2.02.95-6ubuntu1) raring; urgency=low

  [ Neil Wilson ]
  * Use upstream dmeventd.8 manpage (LP: #1076304)
  * debian/patches/1075994_move_thin_check_executable_to_proper_section.
    patch:
    - put thin_check_executable in the 'global' section
    - look for thin_check in /usr/sbin (LP: #1075994)

  [ Dmitrijs Ledkovs ]
  * Revert drop of clvm support. Still to be supported in ubuntu.
  * All other changes as in -5ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 02 Mar 2013 22:43:10 +0000

lvm2 (2.02.95-6) unstable; urgency=low

  * Drop cluster (clvm) support. It never properly worked and is more dead
    than alive.

 -- Bastian Blank <waldi@debian.org>  Wed, 02 Jan 2013 11:11:41 +0100

lvm2 (2.02.95-5ubuntu1) raring; urgency=low

  * Merge from Debian unstable, remaining changes (LP: #1082325):
    - debian/patches/avoid-dev-block.patch: Prefer any other device name over
      names in /dev/block/ since lvm.conf won't handle this.
    - debian/rules:
      - copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/{dmsetup,lvm2}-udeb.install:
      - install initramfs and udev hooks in udebs (Debian bug 504341).
    - auto-start VGs as their PVs are discovered (Ubuntu specific):
      - add debian/tree/lvm2/lib/udev/rules.d/85-lvm2.rules: use watershed plus
        the sledgehammer of vgscan/vgchange to turn on VGs as they come online.
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/hooks/lvm2:
        - add 85-lvm2.rules to the list of udev rules to copy.
        - depend on udev.
      - debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add Depends on watershed-udeb in lvm2-udeb for udev rules.
        - add versioned Depend/Breaks on udev in dmsetup for udev rules.
        - add Depend on initramfs-tools in dmsetup so system is not potentially
          rendered unbootable by out-of-order dpkg configuration.
        - In libdevmapper-event1.02.1 add Breaks: dmeventd
          (<< 2.02.95-4ubuntu1) due to debian symbol rename
      - debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install init scripts for lvm2, since udev starts LVM.
      - debian/lvm2.postinst: handle missing lvm2 init script.
      - debian/tree/dmsetup/lib/udev/rules.d/60-persistent-storage-dm.rules:
        watch dm devices for changes with inotify
    - add mountroot failure hooks to help fix bad boots (Debian bug 468115):
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/init-premount/lvm2
    - remaining changes to upstream event manager packages (Debian bug 514706):
      - debian/rules:
        - enable dmeventd during configure.
      - debian/dmeventd.{8,manpages}: install dmeventd files.
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/rules: make sure dmsetup and lvm2 initramfs-tools scripts are
      executable.  When the Ubuntu-specific ones are added with a patch,
      they may lose their executable bit.
    - Add and install clvmd resource agent
    - Add dependency on libudev-dev to libdevmapper-dev so that the .pc file
      works.
    - debian/{clvmd.ra,clvm.init}:
      - create /run/lvm if it doesn't exist.
    - debian/clvm.init:
      - exit 3 if not running on status action.
    - Call dh_installman so that our dmeventd manpage actually gets installed
    - Install the missing fsadm manpage.
    - Complete libdevmapper-dev multiarch:
      - move .so symlinks and pkgconfig files to multiarched locations.
      - mark libdevmapper-dev M-A: same

  * Dropped changes debian/lvm2.{preinst,postinst,postrm}, not needed in Raring:
    - Implement removal of obsolete /etc/init.d/lvm2 conffile, which
      should not have been re-introduced in Quantal.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 26 Nov 2012 10:35:00 +0000

lvm2 (2.02.95-5) unstable; urgency=low

  * Don't discard pv areas on pvmove commands. (closes: #691271)
  * Properly ignore missing dmeventd.

 -- Bastian Blank <waldi@debian.org>  Mon, 19 Nov 2012 12:11:15 +0100

lvm2 (2.02.95-4ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/patches/avoid-dev-block.patch: Prefer any other device name over
      names in /dev/block/ since lvm.conf won't handle this.
    - debian/rules:
      - copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/{dmsetup,lvm2}-udeb.install:
      - install initramfs and udev hooks in udebs (Debian bug 504341).
    - auto-start VGs as their PVs are discovered (Ubuntu specific):
      - add debian/tree/lvm2/lib/udev/rules.d/85-lvm2.rules: use watershed plus
        the sledgehammer of vgscan/vgchange to turn on VGs as they come online.
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/hooks/lvm2:
        - add 85-lvm2.rules to the list of udev rules to copy.
        - depend on udev.
      - debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add Depends on watershed-udeb in lvm2-udeb for udev rules.
        - add versioned Depend/Breaks on udev in dmsetup for udev rules.
        - add Depend on initramfs-tools in dmsetup so system is not potentially
          rendered unbootable by out-of-order dpkg configuration.
      - debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install init scripts for lvm2, since udev starts LVM.
      - debian/lvm2.postinst: handle missing lvm2 init script.
      - debian/tree/dmsetup/lib/udev/rules.d/60-persistent-storage-dm.rules:
        watch dm devices for changes with inotify
    - add mountroot failure hooks to help fix bad boots (Debian bug 468115):
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/init-premount/lvm2
    - remaining changes to upstream event manager packages (Debian bug 514706):
      - debian/rules:
        - enable dmeventd during configure.
      - debian/dmeventd.{8,manpages}: install dmeventd files.
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/rules: make sure dmsetup and lvm2 initramfs-tools scripts are
      executable.  When the Ubuntu-specific ones are added with a patch,
      they may lose their executable bit.
    - Add and install clvmd resource agent
    - Add dependency on libudev-dev to libdevmapper-dev so that the .pc file
      works.
    - debian/{clvmd.ra,clvm.init}:
      - create /run/lvm if it doesn't exist.
    - debian/clvm.init:
      - exit 3 if not running on status action.
    - Call dh_installman so that our dmeventd manpage actually gets installed
    - Install the missing fsadm manpage.

   * libdevmapper-dev:
    - move .so symlinks and pkgconfig files to multiarched locations.
    - mark libdevmapper-dev M-A: same

   * libdevmapper-event1.02.1:
    - Add Breaks: dmeventd (<< 2.02.95-4ubuntu1) due to debian symbol rename

   * debian/lvm2.{preinst,postinst,postrm}:
    - Implement removal of obsolete /etc/init.d/lvm2 conffile, which
      should not have been re-introduced in Quantal.

   * Dropped Changes, included in Debian:
    - Mostly included packages for upstream event manager (Debian bug 514706).
    - debian/patches/rules-subdir.patch: removed as reordering will cause
      build failure with dmeventd.
    - debian/patches/libdm-event-static.patch: removed as other static libs
      aren't being built anymore either.
    - Update symbols for libdevmapper-event.
    - Update libdevmapper-event, dmeventd descriptions to match Debian
      boilerplate.

   * Disappeared Changes:
    - Don't install documentation in udebs. No diff found, but no docs are
      installed into udebs either.

   * Resurected Changes:
    - corrected dropping the wrong init script. Now clvm.init is shipped
      and lvm2.init is dropped in favor of udev rules as per original
      intention (LP: #1037033).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 14 Aug 2012 14:35:57 +0100

lvm2 (2.02.95-4) unstable; urgency=low

  * Force building with -j1.
  * Add dmeventd and libdevmapper-event packages. (closes: #514706)
    - Disable monitoring by default.
    - Force dmeventd to look into correct directory for shared libs.
  * Also link shared libs with correct flags.
  * Enable support for thin target. (closes: #673000)

 -- Bastian Blank <waldi@debian.org>  Sun, 27 May 2012 19:05:21 +0200

lvm2 (2.02.95-3) unstable; urgency=low

  * Fix build-dependency.
  * Lower priority of libdevmapper1.02.1 to match overrides.
  * Silence init script.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 May 2012 13:36:04 +0200

lvm2 (2.02.95-2) unstable; urgency=low

  * Support multi-arch.
    - Convert library packages to multi-arch.
    - Mark packages with binary as foreign.
  * Use dpkg buildflags support. (closes: #657523)
  * Define build-arch and build-indep make targets.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 May 2012 12:46:59 +0200

lvm2 (2.02.95-1) unstable; urgency=low

  * New upstream version. (closes: #670072)
  * Fix dependencies in clvm init script. (closes: #655970)
  * Demote cluster manager dependency to recommends.

 -- Bastian Blank <waldi@debian.org>  Tue, 01 May 2012 20:27:50 +0200

lvm2 (2.02.88-2ubuntu2) quantal-proposed; urgency=low

  [ Ante Karamatic ]
  * debian/{clvmd.ra,clvm.init}:
    - create /var/run/lvm if it doesn't exist (LP: #959218)

  [ Andres Rodriguez ]
  * debian/clvm.init: exit 3 if not running on status action. (LP: #988881)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 05 Jun 2012 16:30:18 -0400

lvm2 (2.02.88-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #726677), remaining changes:
    - debian/patches/avoid-dev-block.patch: Prefer any other device name over
      names in /dev/block/ since lvm.conf won't handle this.
    - debian/rules:
      - copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/{dmsetup,lvm2}-udeb.install:
      - install initramfs and udev hooks in udebs (Debian bug 504341).
    - auto-start VGs as their PVs are discovered (Ubuntu specific):
      - add debian/tree/lvm2/lib/udev/rules.d/85-lvm2.rules: use watershed plus
        the sledgehammer of vgscan/vgchange to turn on VGs as they come online.
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/hooks/lvm2:
        - add 85-lvm2.rules to the list of udev rules to copy.
        - depend on udev.
      - debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add versioned Depend/Breaks on udev in dmsetup for udev rules.
        - add Depend on initramfs-tools in dmsetup so system is not potentially
          rendered unbootable by out-of-order dpkg configuration.  LP: #358654.
      - debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install init scripts for lvm2, since udev starts LVM.
      - debian/lvm2.postinst: handle missing lvm2 init script.
      - debian/tree/dmsetup/lib/udev/rules.d/60-persistent-storage-dm.rules:
        watch dm devices for changes with inotify
    - add mountroot failure hooks to help fix bad boots (Debian bug 468115):
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/init-premount/lvm2
    - add packages for upstream event manager (Debian bug 514706):
      - debian/control: define libdevmapper-event1.02.1 and dmeventd packages.
      - debian/rules:
        - enable dmeventd during configure.
        - add build targets.
        - fix shlibs invocation with a cleared DH_OPTIONS to get udeb shlibs.
      - debian/dmeventd.{install,8,manpages}: install dmeventd files.
      - debian/libdevmapper-event*.{install,symbols}: install dmeventd files.
      - debian/libdevmapper-dev.install: install libdevmapper-event files.
      - debian/patches/monitoring-default-off.patch: by default, do not
        expect to talk to dmeventd.  Monitoring can be done via "--monitor y".
    - rename debian/clvm.defaults to debian/clvm.default so it is intalled
      correctly.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - lidevmapper-dev: move .so symlinks to /usr/lib where they belong
    - debian/patches/rules-subdir.patch: removed as reordering will cause
      build failure with dmeventd.
    - debian/patches/libdm-event-static.patch: removed as other static libs
      aren't being built anymore either.
    - debian/rules: make sure dmsetup and lvm2 initramfs-tools scripts are
      executable.  When the Ubuntu-specific ones are added with a patch,
      they may lose their executable bit.
    - Add and install clvmd resource agent
    - Add dependency on libudev-dev to libdevmapper-dev so that the .pc file
      works.
    - Make lvm2-udeb depend on watershed-udeb, since it has udev rules that
      use watershed.
  * Dropped changes, included in Debian:
    - Build clvm with support for corosync, openais and cman
    - debian/control: change to libreadline-dev for build.
  * Dropped changes, included upstream:
    - debian/patches/open-readonly.patch: do not open every device for
      write, otherwise udev thinks they've all changed (see inotify above).
  * Dropped changes, superseded upstream:
    - debian/tree/dmsetup/lib/udev/rules.d/55-dm.rules: properly respond
      to "add" events during boot.  Upstream now distinguishes between
      coldplug add events initial ones, so this is not supposed to be a
      problem now.
  * Update symbols for libdevmapper-event.
  * Update libdevmapper-event, dmeventd descriptions to match Debian
    boilerplate.
  * Don't install documentation in udebs.
  * Call dh_installman so that our dmeventd manpage actually gets installed
  * Install the missing fsadm manpage.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 02 May 2012 07:48:42 -0700

lvm2 (2.02.88-2) unstable; urgency=low

  * Enable corosync and openais support. (closes: #563320)

 -- Bastian Blank <waldi@debian.org>  Sat, 26 Nov 2011 18:51:00 +0100

lvm2 (2.02.88-1) unstable; urgency=low

  * New upstream version.
  * Remove lvm-common conflicts and replaces.
  * Remove grub-common breakage.
  * Remove own quilt usage.
  * Move cache file to /run/lvm. (closes: #562234)
    - Remove old cache dir.
  * Move lock files to /run/lock/lvm. (closes: #263148)
  * Support status action in lvm2 init script. (closes: #643822)
  * Remove Squeeze upgrade checks.

 -- Bastian Blank <waldi@debian.org>  Thu, 20 Oct 2011 21:37:06 +0200

lvm2 (2.02.86-1) unstable; urgency=low

  * New upstream version.
  * Remove leading article from short description.
  * Update udev rules.

 -- Bastian Blank <waldi@debian.org>  Sat, 27 Aug 2011 18:45:21 +0200

lvm2 (2.02.84-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace libreadline5-dev build dependency with (conservatively)
    libreadline-gplv2-dev, fixes an FTBFS. (Closes: #553807)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 25 Jul 2011 17:39:19 +0000

lvm2 (2.02.84-3) unstable; urgency=low

  * Remove udev dependency from init script. (closes: #543163)
  * Don't longer create device nodes in init script.
  * Don't longer try to stop devices on shutdown.

 -- Bastian Blank <waldi@debian.org>  Mon, 28 Mar 2011 14:42:35 +0200

lvm2 (2.02.84-2) unstable; urgency=low

  * Fix development library symlinks. (closes: #614838)
  * Update Standards-Version to 3.9.1, no changes needed.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 Mar 2011 11:40:22 +0100

lvm2 (2.02.84-1) unstable; urgency=medium

  * New upstream version.
  * Adopt upstream changes in udev rules. (closes: #603710)

 -- Bastian Blank <waldi@debian.org>  Mon, 21 Feb 2011 22:53:35 +0100

lvm2 (2.02.66-5) unstable; urgency=low

  * Remove old libdevmapper1.02 init script on upgrade. (closes: #549316)
  * Conflict against libdevmapper1.02.

 -- Bastian Blank <waldi@debian.org>  Sun, 23 Jan 2011 18:30:01 +0100

lvm2 (2.02.66-4ubuntu7) precise; urgency=low

  * Revert the last change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Dec 2011 17:30:41 +0100

lvm2 (2.02.66-4ubuntu6) precise; urgency=low

  * Don't build clvmd on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Dec 2011 16:01:51 +0100

lvm2 (2.02.66-4ubuntu5) precise; urgency=low

  * Build-depend on openais-dev rather than libopenais-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2011 00:42:29 +0000

lvm2 (2.02.66-4ubuntu4) precise; urgency=low

  * Make lvm2-udeb depend on watershed-udeb, since it has udev rules that
    use watershed.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 23:47:38 +0000

lvm2 (2.02.66-4ubuntu3) oneiric; urgency=low

  * Add dependency on libudev-dev to libdevmapper-dev so that the .pc file
    works.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 16 Aug 2011 18:30:40 -0700

lvm2 (2.02.66-4ubuntu2) natty; urgency=low

  * Add support for corosync based clusters. (LP: #525287)
    - Build clvm with support for corosync, openais and cman
    - Add and install clvmd resource agent, written by Xinwei Hu,
      slightly modified by Ante Karamatic to work on Ubuntu

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 14 Jan 2011 15:39:03 -0600

lvm2 (2.02.66-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/avoid-dev-block.patch: Prefer any other device name over
      names in /dev/block/ since lvm.conf won't handle this (Debian bug 569290).
    - debian/rules:
      - copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/{dmsetup,lvm2}-udeb.install:
      - install initramfs and udev hooks in udebs (Debian bug 504341).
    - auto-start VGs as their PVs are discovered (Ubuntu specific):
      - add debian/tree/lvm2/lib/udev/rules.d/85-lvm2.rules: use watershed plus
        the sledgehammer of vgscan/vgchange to turn on VGs as they come online.
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/hooks/lvm2:
        - add 85-lvm2.rules to the list of udev rules to copy.
        - depend on udev.
      - debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add versioned Depend/Breaks on udev in dmsetup for udev rules.
        - add Depend on initramfs-tools in dmsetup so system is not potentially
          rendered unbootable by out-of-order dpkg configuration.
      - debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install init scripts for lvm2, since udev starts LVM.
      - debian/lvm2.postinst: handle missing lvm2 init script.
      - debian/tree/dmsetup/lib/udev/rules.d/60-persistent-storage-dm.rules:
        watch dm devices for changes with inotify.
      - debian/patches/open-readonly.patch: do not open every device for
        write, otherwise udev thinks they've all changed (see inotify above).
    - add mountroot failure hooks to help fix bad boots (Debian bug 468115):
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/init-premount/lvm2
    - add packages for upstream event manager (Debian bug 514706):
      - debian/control: define libdevmapper-event1.02.1 and dmeventd packages.
      - debian/rules:
        - enable dmeventd during configure.
        - add build targets.
        - fix shlibs invocation with a cleared DH_OPTIONS to get udeb shlibs.
      - debian/dmeventd.{install,8,manpages}: install dmeventd files.
      - debian/libdevmapper-event*.{install,symbols}: install dmeventd files.
      - debian/libdevmapper-dev.install: install libdevmapper-event files.
      - debian/patches/monitoring-default-off.patch: by default, do not
        expect to talk to dmeventd.  Monitoring can be done via "--monitor y".
    - rename debian/clvm.defaults to debian/clvm.default so it is intalled
      correctly (Debian bug 569292).
    - debian/control: change to libreadline-dev for build.
    - debian/tree/dmsetup/lib/udev/rules.d/55-dm.rules: properly respond
      to "add" events during boot.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - lidevmapper-dev: move .so symlinks to /usr/lib where they belong
  * Dropped changes:
    - debian/tree/lvm2/lib/udev/rules.d/56-lvm.rules: include *_mlog in
      devices to be ignored for filesystem symlinks (see reason for
      dropping in Debian bug 569745).
    - debian/{lvm2,dmsetup}.preinst: remove obsolete udev rules from Hardy.
    - debian/lvm2.preinst: fix Hardy conf-file removal to check against the
      correct binary package name.
  * debian/patches/CVE-2010-2526.patch: removed, now included in
    upstream-2.02.72.patch.
  * debian/patches/rules-subdir.patch: removed as reordering will cause
    build failure with dmeventd.
  * debian/patches/libdm-event-static.patch: removed as other static libs
    aren't being built anymore either.
  * debian/rules: make sure dmsetup and lvm2 initramfs-tools scripts are
    executable. When the Ubuntu-specific ones are added with a patch, they
    may lose their executable bit.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 Dec 2010 08:08:45 -0500

lvm2 (2.02.66-4) unstable; urgency=low

  * Make libdevmapper break old lvm2, it missuses the udev sync
    interface. (closes: #599596)
  * Make lvm2 break old grub-common. (closes: #588026)
  * Use correct binary name in clvm init script. (closes: #600089)

 -- Bastian Blank <waldi@debian.org>  Sat, 30 Oct 2010 18:04:20 +0200

lvm2 (2.02.66-3) unstable; urgency=high

  * Import upstream version 2.02.72:
    - CVE-2010-2526: Fix insecure communication between lvm2 and clvmd.
     (Closes: #591204)          
    - Only use single node clvm if explicitly requested.

 -- Bastian Blank <waldi@debian.org>  Thu, 19 Aug 2010 14:44:02 +0200

lvm2 (2.02.66-2) unstable; urgency=medium

  * Make libdevmapper1.02.1 depend on dmsetup. libdevmapper needs new enough
    udev rules, which needs dmsetup for now. (closes: #585786)
    - Set urgency to medium, as this can break the boot.

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Jun 2010 11:39:39 +0200

lvm2 (2.02.66-1) unstable; urgency=low

  * New upstream version.
  * Define and use a union for semaphore access as mandated by the standard.
    (closes: #583677)
  * Don't longer overwrite names of dm devices.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 Jun 2010 11:47:51 +0200

lvm2 (2.02.64-1) unstable; urgency=low

  * New upstream version.
  * Don't longer build static libraries.
  * Fix readline support. (closes: #575640)
  * Built-in cluster locking.
  * Build liblvm2app and liblvm2cmd. (closes: #564810)
  * Adopt some upstream udev rule changes.
  * Enable udev sync, remove explicit udev dependency, bump dmsetup dependency
    to get it working. (closes: #543163)

 -- Bastian Blank <waldi@debian.org>  Wed, 19 May 2010 13:33:09 +0000

lvm2 (2.02.62-1) unstable; urgency=low

  * New upstream version.
  * Use 3.0 (quilt) source format.
    - Fix permission of hook script. (closes: 569286)
  * Remove DM_HIDE from the documentation. (closes: #573154)

 -- Bastian Blank <waldi@debian.org>  Sat, 20 Mar 2010 18:09:20 +0100

lvm2 (2.02.54-1ubuntu6) maverick; urgency=low

  * SECURITY UPDATE: unprivileged logical volume manipulation with clvmd
    - debian/patches/CVE-2010-2526.patch: revert to using a pathname-based
      socket in order to enforce correct permissions.
    - CVE-2010-2526

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Sep 2010 14:09:51 -0400

lvm2 (2.02.54-1ubuntu5) maverick; urgency=low

  * Backport from Debian:
    - Don't overwrite names of dm devices; use symlinks instead
      (LP: #621951).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Sep 2010 22:50:26 +0100

lvm2 (2.02.54-1ubuntu4) lucid; urgency=low

  * Some idiot thought it'd be a good idea if device mapper didn't respond
    to "add" events, like those during boot.  Take their change out back
    and shoot it in the head.  LP: #561390.

 -- Scott James Remnant <scott@ubuntu.com>  Sun, 25 Apr 2010 21:36:25 -0700

lvm2 (2.02.54-1ubuntu3) lucid; urgency=low

  * lidevmapper-dev: move .so symlinks to /usr/lib where they belong

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 Feb 2010 04:38:10 -0800

lvm2 (2.02.54-1ubuntu2) lucid; urgency=low

  * debian/lvm2.preinst: fix Hardy conf-file removal to check against the
    correct binary package name.

 -- Kees Cook <kees@ubuntu.com>  Tue, 16 Feb 2010 16:08:43 -0800

lvm2 (2.02.54-1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - debian/control:
      - add libtool for autoconf regeneration.
    - debian/patches/avoid-dev-block.patch: Prefer any other device name over
      names in /dev/block/ since lvm.conf won't handle this (Debian bug 569290).
    - debian/rules:
      - copy .po file to .pot file for Rosetta (Ubuntu specific).
      - install initramfs and udev hooks in udebs (Debian bug 504341).
    - auto-start VGs as their PVs are discovered (Ubuntu specific):
      - add debian/tree/lvm2/lib/udev/rules.d/85-lvm2.rules: use watershed plus
        the sledgehammer of vgscan/vgchange to turn on VGs as they come online.
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/hooks/lvm2:
        - add 85-lvm2.rules to the list of udev rules to copy.
        - depend on udev.
      - debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add versioned Depend/Breaks on udev in dmsetup for udev rules.
        - add Depend on initramfs-tools in dmsetup so system is not potentially
          rendered unbootable by out-of-order dpkg configuration.
      - debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install init scripts for lvm2, since udev starts LVM.
      - debian/lvm2.postinst: handle missing lvm2 init script.
      - debian/tree/dmsetup/lib/udev/rules.d/60-persistent-storage-dm.rules:
        watch dm devices for changes with inotify.
      - debian/patches/open-readonly.patch: do not open every device for
        write, otherwise udev thinks they've all changed (see inotify above).
    - add mountroot failure hooks to help fix bad boots (Debian bug 468115):
      - debian/tree/lvm2/usr/share/initramfs-tools/scripts/init-premount/lvm2
    - add packages for upstream event manager (Debian bug 514706):
      - debian/control: define libdevmapper-event1.02.1 and dmeventd packages.
      - debian/rules:
        - enable dmeventd during configure.
        - add build targets.
        - fix shlibs invocation with a cleared DH_OPTIONS to get udeb shlibs.
      - debian/patches/rules-subdir.patch: update to reorder build targets.
      - debian/patches/libdm-event-static.patch: force static library build.
      - debian/dmeventd.{install,8,manpages}: install dmeventd files.
      - debian/libdevmapper-event*.{install,symbols}: install dmeventd files.
      - debian/libdevmapper-dev.install: install libdevmapper-event files.
      - debian/patches/monitoring-default-off.patch: by default, do not
        expect to talk to dmeventd.  Monitoring can be done via "--monitor y".
  * debian/rules: make dmsetup initramfs-tools scripts executable (Debian bug
    569286).
  * rename debian/clvm.defaults to debian/clvm.default so it is intalled
    correctly (Debian bug 569292).
  * debian/control: bump up to libreadline6-dev for build.
  * debian/{lvm2,dmsetup}.preinst: remove obsolete udev rules from Hardy.
  * debian/tree/lvm2/lib/udev/rules.d/56-lvm.rules: include *_mlog in
    devices to be ignored for filesystem symlinks (Debian bug 569745).

 -- Kees Cook <kees@ubuntu.com>  Tue, 16 Feb 2010 10:40:31 -0800

lvm2 (2.02.54-1) unstable; urgency=low

  * New upstream version.
  * Remove notify rules, unused for now.
  * Add better documentation about the udev rules.
  * Update list of to be ignored hidden lvm subvolumes.
  * Make libdevmapper-dev depend against libselinux1-dev.
  * Update complete udev ruleset.
  * Remove conflict against devicekit-disks.
  * Use bash for new script.

 -- Bastian Blank <waldi@debian.org>  Fri, 06 Nov 2009 18:20:39 +0100

lvm2 (2.02.53-2) unstable; urgency=medium

  * Fix variable assignment in udev rules. (closes: #550100, RC bugfix)
  * Install udev rules into initramfs.
  * Add initramfs-tools hook to dmsetup.
  * Trigger initramfs update.

 -- Bastian Blank <waldi@debian.org>  Thu, 08 Oct 2009 18:17:43 +0200

lvm2 (2.02.53-1) unstable; urgency=low

  * New upstream version.
  * Make dmsetup conflicts against devicekit-disks, it duplicates the udev
    rules.
  * Add possibility to hide creation of extra symlinks via udev.
  * Ignore temporary cryptsetup devices.

 -- Bastian Blank <waldi@debian.org>  Wed, 30 Sep 2009 05:27:35 +0200

lvm2 (2.02.52-1) unstable; urgency=low

  * New upstram version.
  * Fix clvm init script. (closes: #542169)
  * Remove dmsetup export support, unused.

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Sep 2009 17:44:29 +0000

lvm2 (2.02.51-4) unstable; urgency=low

  * Fix version in conffile removal. (closes: #542942)
  * Add example udev rules file for permission setup. (closes: #450793)

 -- Bastian Blank <waldi@debian.org>  Sun, 06 Sep 2009 13:40:08 +0200

lvm2 (2.02.51-3) unstable; urgency=low

  * Remove obsolete udev rule files. (closes: #542942)
  * Add Homepage and Vcs-{Browser,Svn} fields. (closes: #486552, #516486)
  * Apply upstream patch for pvcreate breakage. (closes: #542702)

 -- Bastian Blank <waldi@debian.org>  Sat, 05 Sep 2009 14:02:48 +0200

lvm2 (2.02.51-2) unstable; urgency=low

  * Make mapper/* the real device, dm-* a symlink. (closes: #542422)

 -- Bastian Blank <waldi@debian.org>  Thu, 20 Aug 2009 21:23:14 +0200

lvm2 (2.02.51-1) unstable; urgency=low

  * New upstream version.
  * Add multipath as prereq of initramfs-tools script. (closes: #511903)
  * Don't explicitly load special dm modules in initramfs-tools script.
  * Fix dependencies of init script for mdadm and multipath-tools.
    (closes: #514665, #532661)
  * Add new libdevmapper symbols.
  * Forcible remove old lvm init script.
  * Update udev rules, but not enable udev sync yet.
    - Use blkid. (closes: #541885)
    - Make lvm2 depend on dmsetup.
    - Make dmsetup depend on new util-linux for blkid.
    - Make dmsetup depend on udev.
  * Install fsadm.
  * Use dmsetup name split support in initramfs-tools script.
  * Only enable needed LVs in initramfs-tools script.

 -- Bastian Blank <waldi@debian.org>  Mon, 17 Aug 2009 17:29:04 +0000

lvm2 (2.02.44-3) unstable; urgency=low

  * Merge remaining settings for devmapper.
    - Fix device group and mode. (closes: #518361)
    - Disable selinux support in udeb. (closes: #518527)

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Mar 2009 11:32:36 +0100

lvm2 (2.02.44-2) unstable; urgency=low

  * Fix implicit pointer conversion. (closes: #516867)
  * Drop unused ncurses dependency.

 -- Bastian Blank <waldi@debian.org>  Sat, 28 Feb 2009 11:51:01 +0100

lvm2 (2.02.44-1) unstable; urgency=low

  * New upstream version.
    - Merge devmapper sources.
  * Add devmapper binary packages.
  * Use debhelper compat level 7.
  * Add new libdevmapper symbols.
  * Update copyright file.

 -- Bastian Blank <waldi@debian.org>  Mon, 23 Feb 2009 20:51:17 +0100

lvm2 (2.02.39-6) unstable; urgency=low

  * Readd a vgchange binary into the initramfs. At least cryptsetup depends on
    this.

 -- Bastian Blank <waldi@debian.org>  Sat, 22 Nov 2008 16:16:57 +0100

lvm2 (2.02.39-5) unstable; urgency=low

  * Install lvm.conf into initramfs. (closes: #439761)
  * Also ignore locking in initramfs.
  * Make piuparts-clean. (closes: 455115)
    - Cleanup old files on upgrade. /lib/lvm-default, /etc/lvm/.cache.
    - Cleanup dirs on remove. /etc/lvm/cache, /var/lock/lvm.
  * Recommend dmsetup.

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Nov 2008 22:15:18 +0100

lvm2 (2.02.39-4) unstable; urgency=low

  * Revert locking change, it breaks too much. (closes: #506354)
  * Disable cluster support in udeb.
  * Install the binary as lvm in the initramfs. (closes: #503627)
  * Build cluster locking internal.
  * Adjust clvm documentation for the locking change.

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Nov 2008 16:23:22 +0100

lvm2 (2.02.39-3) unstable; urgency=low

  * Depend against lsb-base.
  * Make clvm depend against cman.
  * Don't ignore locking failures in lvm2 init script.
  * Only activate vgs local.
  * Add clvm initscript. (closes: #336258)
  * Try to activate anything in the lvm2 postinst. (closes: #506105)

 -- Bastian Blank <waldi@debian.org>  Wed, 19 Nov 2008 11:59:06 +0100

lvm2 (2.02.39-2) unstable; urgency=low

  * Disable readline support in udeb. (closes: #491203)

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Jul 2008 16:42:03 +0000

lvm2 (2.02.39-1) unstable; urgency=low

  * New upstream version.
  * Make /dev/$vgname readable by anyone, it is not private data as
    /dev/mapper is already readable.

 -- Bastian Blank <waldi@debian.org>  Tue, 15 Jul 2008 20:05:08 +0200

lvm2 (2.02.39-0ubuntu11) karmic; urgency=low

  * Copy /etc/lvm/lvm.conf into the initramfs (LP: #246324).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Jul 2009 13:52:21 +0100

lvm2 (2.02.39-0ubuntu10) karmic; urgency=low

  * debian/control: Increase dependencies for vol_id->blkid transition.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 12 May 2009 10:19:09 +0100

lvm2 (2.02.39-0ubuntu9) jaunty; urgency=low

  * debian/patches/avoid-dev-block.patch: Prefer any other device name over
    names in /dev/block/ (LP: #341928).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Apr 2009 14:19:32 +0100

lvm2 (2.02.39-0ubuntu8) jaunty; urgency=low

  * Revert quilt damage to two other patches.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 24 Feb 2009 00:26:56 +0000

lvm2 (2.02.39-0ubuntu7) jaunty; urgency=low

  * debian/patches/open-readonly.patch:
    - Generally we don't need to write to every single block device we open,
      in fact if we do that when scanning we'll make udev think they all
      changed, and it could run "lvm vgscan" again!  When the file descriptor
      is needed for writing, it will be closed and opened again.  LP: #332270.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 23 Feb 2009 21:44:51 +0000

lvm2 (2.02.39-0ubuntu6) jaunty; urgency=low

  * Bump build-dependency on debhelper to ensure we get the right one.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 09 Jan 2009 14:09:31 +0000

lvm2 (2.02.39-0ubuntu5) jaunty; urgency=low

  * Update udev rules.d path to /lib/udev/rules.d, (LP #314879) and add
    versioned dependency on udev accordingly.
  * Add versioned breaks on udev to make sure we do the upgrade
    in the correct order.
  * Add versioned dependency on watershed version that installs
    into initramfs.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 09 Jan 2009 13:46:10 +0100

lvm2 (2.02.39-0ubuntu4) jaunty; urgency=low

  * Change dependency on udev to one on watershed.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 05 Jan 2009 16:54:00 +0000

lvm2 (2.02.39-0ubuntu3) jaunty; urgency=low

  * Rebuild for armel.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Nov 2008 10:51:16 +0000

lvm2 (2.02.39-0ubuntu2) intrepid; urgency=low

  * Backport from Debian unstable (Bastian Blank):
    - Disable readline support in udeb. (closes: #491203, LP: #263558)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Sep 2008 16:47:50 +0100

lvm2 (2.02.39-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #239460).
  * Merges 2.02.35-1 from Debian.
  * Increase devmapper dependency to (>> 2:1.02.27) due to new API.
  * Re-add quilt to Build-Depends.
  * Add missing Build-Depends on autoconf and libtool.

 -- James Westby <james.westby@canonical.com>  Tue, 01 Jul 2008 16:39:18 +0100

lvm2 (2.02.38-1) unstable; urgency=low

  * New upstream version.
  * Update standards version to 3.7.3, no changes.
  * Only ignore known VCS dirs (closes: #482745)

 -- Bastian Blank <waldi@debian.org>  Sun, 22 Jun 2008 11:19:29 +0200

lvm2 (2.02.35-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Sun, 20 Apr 2008 20:11:53 +0200

lvm2 (2.02.33-2) unstable; urgency=low

  * Fix LSB header of init script.

 -- Bastian Blank <waldi@debian.org>  Mon, 10 Mar 2008 22:41:13 +0100

lvm2 (2.02.33-1) unstable; urgency=low

  * New upstream version.
  * Remove loading of additional modules from init script.

 -- Bastian Blank <waldi@debian.org>  Fri, 15 Feb 2008 16:21:44 +0000

lvm2 (2.02.31-1) unstable; urgency=low

  * New upstream version.
  * Readd clvm.
  * Add LSB header to lvm2 init script. (closes: #426108)

 -- Bastian Blank <waldi@debian.org>  Tue, 22 Jan 2008 16:45:09 +0000

lvm2 (2.02.29-1) unstable; urgency=low

  * New upstream version.
  * Load modules.
  * Don't longer directly link libncurses, libselinux and librt.
  * Drop lvm1 support in lvm2-udeb.
  * Force modprobe path to enable module loading.

 -- Bastian Blank <waldi@debian.org>  Thu, 10 Jan 2008 13:36:53 +0000

lvm2 (2.02.26-1ubuntu11) intrepid; urgency=low

  * debian/control: build-deps on newer libcman and libdlm to guarantee a
    build against new libcman3 and libdlm3 soname.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 26 Aug 2008 14:18:13 +0200

lvm2 (2.02.26-1ubuntu10) intrepid; urgency=low

  * debian/initramfs-tools/scripts/init-premount/lvm2:
    - use new named mountroot-fail hook ordering
    - silently detect array failures
  * lib/locking/cluster_locking.c, daemons/clvmd/{refresh_,}clvmd.c:
    add include for sys/param.h to catch limits, where PIPE_BUF went to live.

 -- Kees Cook <kees@ubuntu.com>  Mon, 28 Jul 2008 12:22:26 -0700

lvm2 (2.02.26-1ubuntu9) hardy; urgency=low

  * Include virtio block type in the filters. (LP: #218574)
    This change is included upstream in 2.02.34.

 -- James Westby <james.westby@canonical.com>  Fri, 18 Apr 2008 14:08:56 +0100

lvm2 (2.02.26-1ubuntu8) hardy; urgency=low

  * debian/initramfs-tools/scripts/init-premount/lvm2: Ensure we exit if
    the script is called with mountfail.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Mon, 18 Feb 2008 11:56:54 +1100

lvm2 (2.02.26-1ubuntu7) hardy; urgency=low

  * debian/initramfs-tools/scripts/init-premount/lvm2:
    /sbin/mdadm -> /sbin/lvm (Thanks Kees.)

 -- Luke Yelavich <luke.yelavich@canonical.com>  Fri, 15 Feb 2008 12:28:14 +1100

lvm2 (2.02.26-1ubuntu6) hardy; urgency=low

  * Create init-premount hook script for the initramfs, to provide
    information at boot, if the root device is not functional.
  * Tighten initramfs-tools dependency.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Feb 2008 14:16:36 +1100

lvm2 (2.02.26-1ubuntu5) hardy; urgency=low

  * Changes from Debian audited, remaining changes:
    - Recognise SUN's LDOM virtual block devices.
      (forwarded upstream and to Debian #455975).
    - Drop build-dependencies on libccs-dev and libgulm-dev since gulm
      locking is obsolete.
      (forwarded to Debian #455976).
    - Separate clvm package.
      (forwarded to Debian #455978).
    - Use udev to activate new LVM physical volumes, and thus volume groups
      and logical volumes.
      (forwarded to Debian #455979).
    - Copy lvm2.po to lvm2.pot for Rosetta.
    - Migrate configuration files from earlier Ubuntu versions.

  * Drop compilation without stack protector, no bugs are referenced as
    justification for that change.
  * Drop higher build requirements on libdlm-dev since we don't actually
    seem to have any patch that necessitates it (it builds fine with either,
    so just build with whatever we have).

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 12 Dec 2007 18:15:39 +0000

lvm2 (2.02.26-1ubuntu4) gutsy; urgency=low

  * Bump dmsetup Suggests: to a Depends:, since without it we do not get
    /dev/disks/by-uuid/ and thus cannot mount anything. (LP: #126776)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Jul 2007 16:55:25 +0200

lvm2 (2.02.26-1ubuntu3) gutsy; urgency=low

  * Max partitions for vdisk is 8 and not 16.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 19 Jul 2007 07:32:59 +0200

lvm2 (2.02.26-1ubuntu2) gutsy; urgency=low

  * Make lvm2 recognize SUN's LDOM virtual disks.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 17 Jul 2007 09:37:50 +0200

lvm2 (2.02.26-1ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop libccs-dev/libgulm-dev Build-Dep
    - Keep clvm around and all related bits (init, defaults, etc)
    - scan and activate new volumes whenever udev detects a new block device
      containing LVM metadata
    - compile with -fno-stack-protector
    - clvm depends on cman, rather than suggests, and don't support fence
    - remove lvm2 init script, since it clashes with our udev rules
    - make initramfs hook prereq on udev
    - copy the lvm binary and udev rules across
    - load the dm-mod, dm-snapshot and dm-mirror modules
    - Depend on both udev and initramfs-tools
    - Build-Deps on a newer devmapper
    - Ubuntu maintainer foobar
    - copy lvm2.po to lvm2.pot for Rosetta

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 03 Jul 2007 08:20:30 +0200

lvm2 (2.02.26-1) unstable; urgency=low

  * New upstream release.
  * Drop clvm for now.

 -- Bastian Blank <waldi@debian.org>  Fri, 22 Jun 2007 11:33:50 +0000

lvm2 (2.02.24-6ubuntu3) gutsy; urgency=low

  * Drop libccs-dev Build-Dep:
    - it was only required for gulm locking (dead since edgy).
    - HAVE_CCS has not been set for a while and ccs support never built since
      it was useful only for gulm.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 11 Jun 2007 12:03:35 +0200

lvm2 (2.02.24-6ubuntu2) gutsy; urgency=low

  * Readd clvm init script.

  * Fix clvm.init:
    - not run if there is no cluster.conf
    - not run if cman is not running.
    - it's ok to fail on stop. (--oknodo)
    - wait_for_nodes only if we can start.

  (Closes LP: #61794, #115828, #108704, #108120)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 08 Jun 2007 13:09:50 +0200

lvm2 (2.02.24-6ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - tighter build-depends on libccs-dev, libcman-dev & libdlm-dev
    - scan and activate new volumes whenever udev detects a new block device
      containing LVM metadata.
    - compile with -fno-stack-protector
    - copy lvm2.po to lvm2.pot for Rosetta
    - clvm depends on cman, rather than suggests, and don't support fence
    - init script for clvm

  * Turns out that doing merges dependency-first isn't necessarily the right
    way; this package replaces lvm-common!  So merge changes I just made
    there to here:
    - remove the init script, since it clashes with our udev rules
    - make initramfs hook prereq on udev
    - copy the lvm binary and udev rules across
    - load the dm-mod, dm-snapshot and dm-mirror modules
  * Depend on both udev and initramfs-tools

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 May 2007 12:43:07 +0100

lvm2 (2.02.24-6) unstable; urgency=low

  * Also replace lvm-common.

 -- Bastian Blank <waldi@debian.org>  Wed, 11 Apr 2007 20:40:39 +0000

lvm2 (2.02.24-5) unstable; urgency=low

  * Install correct files in initramfs-tools hook. (closes: #418652, #418661)

 -- Bastian Blank <waldi@debian.org>  Wed, 11 Apr 2007 05:43:40 +0000

lvm2 (2.02.24-4) unstable; urgency=low

  * Make initramfs-tools hook also executable.

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Apr 2007 09:01:33 +0000

lvm2 (2.02.24-3) unstable; urgency=low

  * Make initramfs-tools script executable. (closes: #418490)

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Apr 2007 08:35:09 +0000

lvm2 (2.02.24-2) unstable; urgency=low

  * Really add init script.
  * Remove old code from maintainer scripts.

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Apr 2007 08:02:39 +0000

lvm2 (2.02.24-1) unstable; urgency=low

  * Add initramfs-tools hooks.
  * New upstream version.
  * Remove O_NOATIME hack.
  * Remove lvm2create_initrd. (closes: #417938)
  * Deprecate lvm-common.

 -- Bastian Blank <waldi@debian.org>  Mon,  9 Apr 2007 18:58:57 +0000

lvm2 (2.02.06-4) unstable; urgency=low

  * Update translations.
    - Norwegian Bokmål (closes: #393191)
    - German (closes: #396268)
    - Galician (closes: #411832)
    - Swedish

 -- Bastian Blank <waldi@debian.org>  Tue, 27 Feb 2007 18:53:04 +0000

lvm2 (2.02.06-3) unstable; urgency=low

  * Update translations. (closes: #349843)
    - Vietnamese
    - Swedish
    - French
    - Czech
    - Dutch
    - Portuguese
    - Catalan
  * Use error debconf template.

 -- Bastian Blank <waldi@debian.org>  Sun, 15 Oct 2006 12:05:01 +0000

lvm2 (2.02.06-2ubuntu9) feisty; urgency=low

  * Remove the call to vgck on the creation of devmapper devices; this
    would cause udev to block, and thus prevent LVM from creating snapshot
    devices.  LP: #84672.
    (This also needs a newer libdevmapper to complete the fix)

  * Rename 70-lvm.rules to 85-lvm.rules so that it appears at the correct
    point; remove the old file rather than transitioning since it was
    broken anyway.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 30 Mar 2007 17:29:09 +0100

lvm2 (2.02.06-2ubuntu8) feisty; urgency=low

  UdevLvm fix:
  * Run vgscan and vgchange on block device change as well as add.

 -- Ian Jackson <iwj@ubuntu.com>  Tue,  6 Feb 2007 19:25:40 +0000

lvm2 (2.02.06-2ubuntu7) feisty; urgency=low

  UdevLvm:
  * Force loading of dm_mod in initramfs (for some reason the lvm tools do
    not do this themselves).
  * Update the initramfs in the postinst.
  * Update the 70-lvm.rules to
    - run vgscan as needed;
    - invoke things via /sbin/lvm rather than relying on the symlinks
    - run vgck and not vgmknodes (since udev makes the nodes now)
  * Declare Breaks against old lvm-common and old udev, since our new
    node generation requires the new working machinery in lvm-common and
    the corresponding support in udev.

 -- Ian Jackson <iwj@ubuntu.com>  Tue,  6 Feb 2007 16:35:04 +0000

lvm2 (2.02.06-2ubuntu6) feisty; urgency=low

  * Backport endian fix for dev_is_md from upstream.
    After a deeper investigation we found out that md super block 0.90.0
    are machine endian and super block 1 or higher are little endian.
    On big endian machine (that are the only one affected) we need to compare
    both values.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Sun, 28 Jan 2007 05:51:59 +0100

lvm2 (2.02.06-2ubuntu5) feisty; urgency=low

  [ Fabio M. Di Nitto ]
  * Fix dev_is_md check on big endian machines.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 25 Jan 2007 16:55:37 +0100

lvm2 (2.02.06-2ubuntu4) feisty; urgency=low

  UdevLvm implementation:
  * Provide udev rules to 1. run vgchange to activate lvs on new block
    devices containing lvm volumes; 2. run vgmknodes when new dm devices
    appear, to ensure that things which might depend on the lv symlinks
    only run after vgchange has finished.
  * Do symlink-to-..tmp-and-then-rename rather than unlink/symlink,
    in vgchange, vgmknodes, etc., for /dev/vg/lv link.  (This fixes
    an obscure race.  Reported with patch to Debian as #402132.)

 -- Ian Jackson <iwj@ubuntu.com>  Fri,  8 Dec 2006 15:22:20 +0000

lvm2 (2.02.06-2ubuntu3) edgy; urgency=low

  * Disable gcc stack protector to fix some weird segfaults/bus errors.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 13 Sep 2006 09:59:29 +0200

lvm2 (2.02.06-2ubuntu2) edgy; urgency=low

  * Drop B-D on libgulm-dev since gulm locking is obsoleted.

  * Update Depends: to drop gulm and fence.

  * Rebuild for libdlm2.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 27 Jul 2006 05:50:20 +0200

lvm2 (2.02.06-2ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Jun 2006 11:16:28 +0200

lvm2 (2.02.06-2) unstable; urgency=low

  * Fix return value for unknown vg. (closes: #373644)

 -- Bastian Blank <waldi@debian.org>  Wed, 14 Jun 2006 23:47:36 +0200

lvm2 (2.02.06-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Tue, 13 Jun 2006 07:35:37 +0000

lvm2 (2.02.05-3) unstable; urgency=low

  * Realy set default permissions.

 -- Bastian Blank <waldi@debian.org>  Tue,  6 Jun 2006 17:21:18 +0000

lvm2 (2.02.05-2) unstable; urgency=low

  * Set default permissions to 0, 6, 0660. (closes: #370684)

 -- Bastian Blank <waldi@debian.org>  Tue, 06 Jun 2006 13:01:13 +0000

lvm2 (2.02.05-1) unstable; urgency=low

  * New upstream version.
  * Don't longer disallow installation on older kernels. (closes: #358373)
  * Explicitely link libpthread. (closes: #358305)

 -- Bastian Blank <waldi@debian.org>  Fri, 12 May 2006 18:20:01 +0000

lvm2 (2.02.02-1ubuntu1) dapper; urgency=low

  * merged with debian (required to fix ubuntu #38007)
  * daemons/clvmd/Makefile.in:
    * added -lpthreads to LDFLAGS to make it build

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  8 May 2006 11:42:45 +0200

lvm2 (2.02.02-1) unstable; urgency=low

  * New upstream version.
  * Enable md_component_detection. (closes: #278180)
  * Set device permissions.
  * Don't use O_DIRECT on armeb. (closes: #351632)

 -- Bastian Blank <waldi@debian.org>  Sun, 12 Feb 2006 13:00:23 +0100

lvm2 (2.02.01-3) unstable; urgency=low

  * Fix snapshot check to work with set -e. (closes: #348154)

 -- Bastian Blank <waldi@debian.org>  Sun, 15 Jan 2006 13:29:06 +0100

lvm2 (2.02.01-2) unstable; urgency=low

  * Abort installation on kernel < 2.6.12.

 -- Bastian Blank <waldi@debian.org>  Sat, 14 Jan 2006 10:51:33 +0100

lvm2 (2.02.01-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Sat, 03 Dec 2005 18:15:24 +0100

lvm2 (2.02.00-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Sat, 26 Nov 2005 10:26:42 +0100

lvm2 (2.01.15-0ubuntu5) dapper; urgency=low

  * debian/rules: Copy lvm2.po to lvm2.pot at build, remove it at clean.
    Closes:

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  4 May 2006 12:53:41 +0200

lvm2 (2.01.15-0ubuntu4) dapper; urgency=low

  * Call vgscan instead of pvscan in clvm init script.

  * Fix while condition in clvm init script to catch only cluster errors.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 07 Apr 2006 06:53:52 +0200

lvm2 (2.01.15-0ubuntu3) dapper; urgency=low

  * Call pvscan in clvm init script after clvmd is running
    to refresh the cache or vgchange might fail.

  * Add wait_for_nodes loop to avoid a possible race condition
    when starting up the entire cluster all together to clvm init script.

  * Make clvm init script use /etc/default/clvm instead of /etc/default/clvmd.

  * Ship a default clvm.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 06 Apr 2006 07:32:53 +0200

lvm2 (2.01.15-0ubuntu2) dapper; urgency=low

  * Add init script for clvmd.

  * clvm now Depends: cman | gulm and fence.

  * Build clvm with gulm support.

  * Add Build-Deps: libccs-dev and libgulm-dev.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 05 Apr 2006 12:52:08 +0200

lvm2 (2.01.15-0ubuntu1) dapper; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Jan 2006 09:58:28 +0100

lvm2 (2.01.14-3ubuntu2) dapper; urgency=low

  * Drop selinux support since it breaks lvm2-udeb.
  * Make sure to build with a proper libdevmapper.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 29 Nov 2005 09:11:39 +0100

lvm2 (2.01.14-3ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 25 Nov 2005 12:51:58 +0100

lvm2 (2.01.14-3) unstable; urgency=low

  * It is pronounced readline, not ncurses. Fix build-deps. (closes: #330715)

 -- Bastian Blank <waldi@debian.org>  Fri, 30 Sep 2005 13:14:25 +0200

lvm2 (2.01.14-2) unstable; urgency=low

  * Enable readline support for debs. (closes: #257406)
  * Fix O_DIRECT disable for hppa. (closes: #330166)

 -- Bastian Blank <waldi@debian.org>  Wed, 28 Sep 2005 19:12:53 +0200

lvm2 (2.01.14-1) unstable; urgency=low

  * New upstream version. (closes: #320454)
  * Enable selinux support for debs. (closes: #315505)
  * Change optimization for udebs.

 -- Bastian Blank <waldi@debian.org>  Mon, 15 Aug 2005 18:33:41 +0200

lvm2 (2.01.12-2) unstable; urgency=low

  * Fix LVM1 metadata support. (closes: #315339)

 -- Bastian Blank <waldi@debian.org>  Wed, 22 Jun 2005 18:49:36 +0200

lvm2 (2.01.12-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Mon, 20 Jun 2005 16:50:41 +0200

lvm2 (2.01.11-1) unstable; urgency=low

  * New upstream version.
  * Reentregrate changes.

 -- Bastian Blank <waldi@debian.org>  Sun, 19 Jun 2005 13:17:48 +0200

lvm2 (2.01.04-5ubuntu1) breezy; urgency=low

  * Bump Build-Deps on libncruses5-dev and libdlm-dev (1.x)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 30 May 2005 11:05:56 +0200

lvm2 (2.01.04-5) unstable; urgency=low

  * Revert -4's rather widespread changes, except for the amd64 fix.

 -- Andres Salomon <dilinger@debian.org>  Thu, 28 Apr 2005 05:20:08 -0400

lvm2 (2.01.04-4) unstable; urgency=low

  * Don't longer use cdbs.
  * Remove cruft.
  * Workaround missing O_NOATIME on amd64. (closes: #298762)

 -- Bastian Blank <waldi@debian.org>  Thu, 28 Apr 2005 09:58:00 +0200

lvm2 (2.01.04-3) unstable; urgency=high

  * Workaround missing O_NOATIME. (closes: #297010)

 -- Bastian Blank <waldi@debian.org>  Tue, 08 Mar 2005 18:40:08 +0100

lvm2 (2.01.04-2) unstable; urgency=low

  * New maintainer.
  * Always build clvmd and bump version of needed libdlm.

 -- Bastian Blank <waldi@debian.org>  Sun, 27 Feb 2005 16:49:32 +0100

lvm2 (2.01.04-1) unstable; urgency=low

  * New upstream
    Closes: #292984, 293174

 -- Patrick Caulfield <patrick@debian.org>  Thu, 17 Feb 2005 09:30:18 +0000

lvm2 (2.00.32-1) unstable; urgency=low

  * New upstream
    Closes: #283290, 284990, 285225
  * Don't make /lib/lvm2 the default library directory as it causes initrd
    troubles.
    Closes: #287042
  
 -- Patrick Caulfield <patrick@debian.org>  Fri, 24 Dec 2004 12:27:05 +0000

lvm2 (2.00.31-1) unstable; urgency=low

  * New upstream.

 -- Patrick Caulfield <patrick@debian.org>  Mon, 20 Dec 2004 13:27:43 +0000

lvm2 (2.00.29-1) unstable; urgency=low

  * New upstream
  * Only build clvmd where a libdlm is available.
    Doesn't exactly close #281433 but maybe reduces it to a wishlist bug.

 -- Patrick Caulfield <patrick@debian.org>  Tue,  7 Dec 2004 10:54:43 +0000

lvm2 (2.00.25-1) unstable; urgency=low

  * New upstream
    Closes: 272117
  * Remove useless "pvresize" command.
    Closes: #278597
  * Add Brazilian debconf translation.
    Closes: #278732
  * Remove "is not recommended for production use" from package description.
    Closes: #278919
  * Add lvm2create_initrd to documentation directory.
  
 -- Patrick Caulfield <patrick@debian.org>  Wed,  3 Nov 2004 09:37:56 +0000

lvm2 (2.00.24-2) unstable; urgency=low

  * Also provide "clvm" package for Cluster LVM daemon
    Closes: #276651
  * Get rid of references to kernel-patch-device-mapper
    Closes: #275881
  * Fix some Lintian warnings.

 -- Patrick Caulfield <patrick@debian.org>  Sat, 16 Oct 2004 14:07:16 +0100

lvm2 (2.00.24-1) unstable; urgency=low

  * New upstream
    Closes: #268562, #270111

 -- Patrick Caulfield <patrick@debian.org>  Mon, 20 Sep 2004 09:03:57 +0100

lvm2 (2.00.22-1) unstable; urgency=low

  * New upstream
    This one really /does/ incorporate the swab stuff, sorry waldi.
  * Include Japanese po-debconf
    Closes: #270763

 -- Patrick Caulfield <patrick@debian.org>  Mon, 13 Sep 2004 09:12:07 +0100

lvm2 (2.00.21-2) unstable; urgency=low

  * Disable use of O_DIRECT on arm.
    Closes: #267157

 -- Patrick Caulfield <patrick@debian.org>  Mon, 23 Aug 2004 08:39:43 +0100

lvm2 (2.00.21-1) unstable; urgency=low

  * New upstream.
  * Update README.Debian to mention that later Debian 2.4 kernels have
    device-mapper included.
  * Really add French debconf transation (sorry)
    Closes: #260700
  * Add Czech debconf translation
    Closes: #265545
  
 -- Patrick Caulfield <patrick@debian.org>  Fri, 20 Aug 2004 10:44:11 +0100

lvm2 (2.00.19-3) unstable; urgency=low

  * Use libc byteswap functions.
    Closes: #259733
  * Add French debconfg translation
    Closes: #260700

 -- Patrick Caulfield <patrick@debian.org>  Mon,  2 Aug 2004 11:37:15 +0100

lvm2 (2.00.19-2) unstable; urgency=low

  * Switch to debconf-gettext templates
    Closes: #257681
  * Fix snapshot warning so it doesn't error on a new installation.
    Closes: #256276

 -- Patrick Caulfield <patrick@debian.org>  Wed,  7 Jul 2004 15:31:33 +0100

lvm2 (2.00.19-1) unstable; urgency=low

  * New upstream(s)
  * Also added patch from upstream bk to fix problem with large 2.6 device
    numbers. Closes: #248477

 -- Patrick Caulfield <patrick@debian.org>  Thu,  1 Jul 2004 16:07:58 +0100

lvm2 (2.00.16-2) unstable; urgency=low

  * Switch md_component_detection OFF by default in config file.
    Closes: #248709, #252085
  * Ignore cdroms by default in config file.
  * Warn about snapshot incompatibility with lvm10.

 -- Patrick Caulfield <patrick@debian.org>  Fri, 11 Jun 2004 08:43:15 +0100

lvm2 (2.00.16-1) unstable; urgency=low

  * New Upstream version

 -- Patrick Caulfield <patrick@debian.org>  Sun, 30 May 2004 10:40:04 +0100

lvm2 (2.00.15-3) unstable; urgency=low

  * Take over maintainership
  * Disable O_DIRECT on hppa.

 -- Patrick Caulfield <patrick@debian.org>  Wed, 19 May 2004 09:05:29 +0100

lvm2 (2.00.15-2) unstable; urgency=low

  * Fix FTBFS (closes: #248143).

 -- Andres Salomon <dilinger@voxel.net>  Sun, 09 May 2004 13:57:07 -0400

lvm2 (2.00.15-1) unstable; urgency=low

  * New upstream release.
  * Drop 001-separated.patch; merged upstream.
  * Drop 002-vgdisplay_colon.patch; merged upstream.
  * Compile w/ -D_FILE_OFFSET_BITS=64 (thanks to Thierry DE CARVALHO for
    the suggestion/patch).
  * Add 004-make_clean.patch and 005-make_distclean.patch; fixes
    build system problem.
  * Add Patrick Caulfield as a co-maintainer.
  * Disable O_DIRECT for mips and mipsel (closes: #247896).

 -- Andres Salomon <dilinger@voxel.net>  Mon, 03 May 2004 00:54:06 -0400

lvm2 (2.00.08-4) unstable; urgency=low

  * Fix libdevmapper-dev versioned dep (missing epoch).
  * Fix typos in manpage.  (Closes: #226026)
  * Implement vgdisplay --colon.  (Closes: #226056)
  * Add udeb for debian-installer.  (Closes: #225178)
  * Remove lvm-default symlink in prerm.  (Closes: #230543)

 -- Andres Salomon <dilinger@voxel.net>  Sun, 04 Jan 2004 23:14:25 -0500

lvm2 (2.00.08-3) unstable; urgency=low

  * Add autotools-dev build-dep.

 -- Andres Salomon <dilinger@voxel.net>  Sun, 14 Dec 2003 20:37:39 -0500

lvm2 (2.00.08-2) unstable; urgency=low

  * Update build-deps to require devmapper 1.00.07 or greater.

 -- Andres Salomon <dilinger@voxel.net>  Sat, 06 Dec 2003 23:07:59 -0500

lvm2 (2.00.08-1) unstable; urgency=low

  * New upstream release.
  * Update package description.  (Closes: #216441)
  * Tell cdbs where to find config.{sub,guess}.  (Closes: #217457)

 -- Andres Salomon <dilinger@voxel.net>  Sun, 30 Nov 2003 02:07:38 -0500

lvm2 (2.00.07-1) unstable; urgency=low

  * New upstream release.
  * Update standards-version.
  * Convert build system to cdbs.

 -- Andres Salomon <dilinger@voxel.net>  Wed, 15 Oct 2003 01:27:48 -0400

lvm2 (2.00.06-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@voxel.net>  Fri, 22 Aug 2003 00:59:39 -0400

lvm2 (2.00.05-1) unstable; urgency=low

  * New upstream release.  (Closes: #203571)
  * This release creates locking_dir if it doesn't exist.  (Closes: #192789)
  * Fixes missing-symlink bug.  (Closes: #204432)

 -- Andres Salomon <dilinger@voxel.net>  Tue, 12 Aug 2003 00:00:41 -0400

lvm2 (1.95.15-4) unstable; urgency=low

  * Update libdevmapper-dev build-deps, so accidents like rebuilding
    against non-existent libdevmapper0 versions don't happen.

 -- Andres Salomon <dilinger@voxel.net>  Thu, 07 Aug 2003 17:01:52 -0400

lvm2 (1.95.15-3) unstable; urgency=low

  * The naming-releases-is-lame release.
  * Put binaries in /lib/lvm-200 instead of /sbin, allowing lvm10 to be
    installed with lvm2.  Also dropped init script.  (Closes: #185245)
  * Clean up manpages/undocumented files.

 -- Andres Salomon <dilinger@voxel.net>  Thu, 07 Aug 2003 01:04:59 -0400

lvm2 (1.95.15-2) unstable; urgency=low
  
  * Calm-before-the-storm release; the next one will either be 2.00 (once
    the kill-yer-VGs bug is fixed) or 1.95 with lvm10 compatibility (once
    patrick returns from vacation).
  * Update maintainer email address.
  * Update standards-version.
  * Rebuild against newly SONAME'd libdevmapper packages.  (Closes: #199399)
  * When deactivating VGs, ignore failures related to file locking, as
    / might be read-only.  (Closes: #192802)
  * Make backup of lvm2 metadata in postinst.  (Closes: #189325)

 -- Andres Salomon <dilinger@voxel.net>  Thu, 31 Jul 2003 01:36:44 -0400

lvm2 (1.95.11-1) unstable; urgency=low

  * New upstream release.  (Closes: #171436)
  * Removed TODO and INTRO from debian/docs; added WHATS_NEW.
  * Remove vgcfgrestore.8 undocumented symlink.
  * Added a README.Debian, mentioning the device-mapper kernel module
    requirement that lvm2 has.  (Closes: #171674, #163020)
  * Get rid of debian/conffiles (debhelper's smart enough to figure that out).
  * debian/copyright fix to appease lintian.
  * Fix typo in tools/commands.h that caused /usr/sbin/; to be created.

 -- Andres Salomon <dilinger@mp3revolution.net>  Mon,  9 Dec 2002 02:51:02 -0400

lvm2 (1.95.10-2) unstable; urgency=low

  * Fix software raid problems by ensuring lvm init script runs after
    raidtools init script.  (Closes: #152569)

 -- Andres Salomon <dilinger@mp3revolution.net>  Tue,  3 Sep 2002 04:05:43 -0400

lvm2 (1.95.10-1) unstable; urgency=low

  * New upstream release (Beta 3.2).
  * Change all references to /dev/device-mapper/control to
    /dev/mapper/control.

 -- Andres Salomon <dilinger@mp3revolution.net>  Sun,  1 Sep 2002 18:55:12 -0400

lvm2 (0.95.05-3) unstable; urgency=low

  * Get rid of awk dependency in init script.  (Closes: #146257)

 -- Andres Salomon <dilinger@mp3revolution.net>  Sun, 12 May 2002 04:39:06 -0500

lvm2 (0.95.05-2) unstable; urgency=low

  * Use ${shlibs:Depends} in Depends.
  * Get rid of postinst/postrm scripts, use debhelper's init script instead.
  * Add Conflicts against lvm10, lvm-common.
  * Fix endian issues on big-endian machines.

 -- Andres Salomon <dilinger@mp3revolution.net>  Thu,  2 May 2002 23:53:53 -0500

lvm2 (0.95.05-1) unstable; urgency=low

  * New release (Beta2).

 -- Andres Salomon <dilinger@mp3revolution.net>  Thu, 25 Apr 2002 00:37:41 -0500

lvm2 (0.95.04cvs20020306-1) unstable; urgency=low

  * CVS updated.
  * Convert from debian native package.

 -- Andres Salomon <dilinger@mp3revolution.net>  Wed,  6 Mar 2002 00:43:21 -0500

lvm2 (0.95.04cvs20020304) unstable; urgency=low

  * CVS updated.
  * Enhance init script; create devmapper control device, etc.
  * Add dmsetup as a suggestion.
  * Add /etc/lvm/lvm.conf conffile.
  * Add undocumented(7) for the commands missing manpages.
  
 -- Andres Salomon <dilinger@mp3revolution.net>  Mon,  4 Mar 2002 04:51:26 -0500

lvm2 (0.95.02cvs20020220) unstable; urgency=low

  * Initial Release.

 -- Andres Salomon <dilinger@mp3revolution.net>  Wed, 20 Feb 2002 03:17:25 -0500

